#include <windows.h>
#include "dsmhelp.h"
LRESULT CALLBACK WndProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
ATOM RegAsmClass();
void LoadCourier();
HINSTR aInstr;
ATOM AsmClass;
HINSTANCE MainInst;
HWND hWin;
HWND hShowList16;
HWND hShowList32;
HWND hShowList64;
HWND hChFont;
HWND hClear;
HWND hEdit16;
HWND hEdit32;
HWND hEdit64;
HWND hMainEdit;
HFONT hFont;
LOGFONT lfFont;
char mnem[256];
char dmnem[256];
ULONG64 StartAddr;
void SendOut(LPSTR pText){
int tx_len;
	tx_len=GetWindowTextLength(hMainEdit);
	SendMessage(hMainEdit,EM_SETSEL,(WPARAM) tx_len,(LPARAM) tx_len);
	SendMessage(hMainEdit,EM_REPLACESEL,0,(LPARAM) pText);
};
int APIENTRY WinMain(HINSTANCE hInst,HINSTANCE hPrevInst,LPSTR lpszCmdline,int nCmdShow){
MSG msg;
	StartAddr=0x131D9B1;
	MainInst=GetModuleHandle(0);;
	AsmClass=RegAsmClass();
	LoadCourier();
	aInstr=InitInstr(0,0,LEGACY_MODE32,0);
	CreateWindowEx(0,(LPCTSTR) AsmClass,"asmdasm",WS_OVERLAPPEDWINDOW|WS_VISIBLE,
		CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,
		0,0,MainInst,0);
	while (GetMessage(&msg,0,0,0)){
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	};
	FreeInstr(aInstr);
	DeleteObject(hFont);
	UnregisterClass((LPCTSTR) AsmClass,MainInst);
	ExitProcess(msg.wParam);
};
ATOM RegAsmClass(){
WNDCLASSEX wcex;
HICON hIcon;
	hIcon=LoadCursor(0,IDC_ARROW);
	wcex.cbSize=sizeof(wcex);
	wcex.style=CS_HREDRAW|CS_VREDRAW;
	wcex.lpfnWndProc=&WndProc;
	wcex.cbClsExtra=0;
	wcex.cbWndExtra=0;
	wcex.hInstance=MainInst;
	wcex.hIcon=hIcon;
	wcex.hCursor=hIcon;
	wcex.hbrBackground=(HBRUSH) (COLOR_WINDOWFRAME+1);
	wcex.lpszMenuName=0;
	wcex.lpszClassName="AsmClass";
	wcex.hIconSm=hIcon;
	return RegisterClassEx(&wcex);
};
void LoadCourier(){
	lfFont.lfHeight=-13;
	lfFont.lfWidth=0;
	lfFont.lfEscapement=0;
	lfFont.lfOrientation=0;
	lfFont.lfWeight=0x190;
	lfFont.lfItalic=FALSE;
	lfFont.lfUnderline=FALSE;
	lfFont.lfStrikeOut=FALSE;
	lfFont.lfCharSet=RUSSIAN_CHARSET;
	lfFont.lfOutPrecision=OUT_STRING_PRECIS;
	lfFont.lfClipPrecision=CLIP_STROKE_PRECIS;
	lfFont.lfQuality=DRAFT_QUALITY;
	lfFont.lfPitchAndFamily=FIXED_PITCH|FF_ROMAN;
	strcpy(lfFont.lfFaceName,"Courier");
	hFont=CreateFontIndirect(&lfFont);
};
void MoveMainEdit(){
RECT rect;
	GetClientRect(hWin,&rect);
	rect.bottom-=105;
	MoveWindow(hMainEdit,rect.left,105,rect.right,rect.bottom,TRUE);
};
void ChFontMainEdit(){
CHOOSEFONT ChsFont;
HFONT NewFont;
HFONT OldFont;
	ChsFont.lStructSize=sizeof(ChsFont);
	ChsFont.hInstance=MainInst;
	ChsFont.hwndOwner=hWin;
	ChsFont.Flags=CF_BOTH|CF_INITTOLOGFONTSTRUCT;
	ChsFont.lpLogFont=&lfFont;
	if (ChooseFont(&ChsFont)){
		NewFont=CreateFontIndirect(&lfFont);
		OldFont=hFont;
		hFont=NewFont;
		DeleteObject(OldFont);
		SendMessage(hMainEdit,WM_SETFONT,(WPARAM) hFont,TRUE);
	};
};
BOOL AsmTest(LPSTR dMnemonic,LPSTR Mnemonic,BYTE Mode){
BYTE AsmDasm[32];
DWORD ilen;
	ReinitInstr(aInstr,&AsmDasm,StartAddr,Mode,sizeof(AsmDasm));
	ilen=Assemble(aInstr,Mnemonic);
	if ((ilen==0) || (ilen==-1) || (ilen>MaxInstrLen)){
		MessageBox(hWin,"Bad mnemonic",0,MB_OK);
		return 0;
	};
	StartAddr+=ilen;
	JoinMnemonic(aInstr,dMnemonic,NULL,STD_MNEM);
	return 1;
};
LRESULT CALLBACK WndProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam){
	if (uMsg==WM_COMMAND){
		if ((HWND) lParam==hShowList16){
			GetWindowText(hEdit16,mnem,sizeof(mnem));
			if (AsmTest(dmnem,mnem,LEGACY_MODE16)) SendOut(dmnem);
		}else if ((HWND) lParam==hShowList32){
			GetWindowText(hEdit32,mnem,sizeof(mnem));
			if (AsmTest(dmnem,mnem,LEGACY_MODE32)) SendOut(dmnem);
		}else if ((HWND) lParam==hShowList64){
			GetWindowText(hEdit64,mnem,sizeof(mnem));
			if (AsmTest(dmnem,mnem,LONG_MODE)) SendOut(dmnem);
		}else if ((HWND) lParam==hChFont){
			ChFontMainEdit();
		}else if ((HWND) lParam==hClear){
			SetWindowText(hMainEdit,"");
		};
	}else if (uMsg==WM_CREATE){
		hWin=hWnd;
		hShowList16=CreateWindowEx(0,"button","Disassemble16",WS_VISIBLE|WS_CHILD,20,15,110,25,hWin,0,MainInst,0);
		hShowList32=CreateWindowEx(0,"button","Disassemble32",WS_VISIBLE|WS_CHILD,20,45,110,25,hWin,0,MainInst,0);
		hShowList64=CreateWindowEx(0,"button","Disassemble64",WS_VISIBLE|WS_CHILD,20,75,110,25,hWin,0,MainInst,0);
		hChFont=CreateWindowEx(0,"button","Choose font",WS_VISIBLE|WS_CHILD,845,15,100,25,hWin,0,MainInst,0);
		hClear=CreateWindowEx(0,"button","Clear",WS_VISIBLE|WS_CHILD,845,45,100,25,hWin,0,MainInst,0);
		hEdit16=CreateWindowEx(0,"edit","xor [bp+si+0AE45h],di",WS_VISIBLE|WS_CHILD|WS_TABSTOP|ES_LEFT,
			135,15,700,25,hWin,0,MainInst,0);
		hEdit32=CreateWindowEx(0,"edit","call near16 ptr ($+4h) mod 10000h",WS_VISIBLE|WS_CHILD|WS_TABSTOP|ES_LEFT,
			135,45,700,25,hWin,0,MainInst,0);
		hEdit64=CreateWindowEx(0,"edit","shrd [eax],esp,cl",WS_VISIBLE|WS_CHILD|WS_TABSTOP|ES_LEFT,
			135,75,700,25,hWin,0,MainInst,0);
		hMainEdit=CreateWindowEx(0,"edit",0,WS_VISIBLE|WS_CHILD|WS_TABSTOP|ES_LEFT|ES_MULTILINE|WS_HSCROLL|WS_VSCROLL,
			30,110,900,300,hWin,0,MainInst,0);
		SendMessage(hMainEdit,WM_SETFONT,(WPARAM) hFont,1);
		MoveMainEdit();
	}else if (uMsg==WM_SIZE){
		MoveMainEdit();
	}else if (uMsg==WM_DESTROY){
		PostQuitMessage(0);
	}else{
		return DefWindowProc(hWnd,uMsg,wParam,lParam);
	};
	return 0;
};