#define VERBOSE_PFX 16
#define INVALID_INSTRUCTION 17
#define INVALID_OPERAND 18
#define OPCODE_OUT_RANGE 19
#define UNKNOWN_MNEMONIC 20
#define ASM_DUMP 21
#define NOT_ALLOWED_LOCK 22
#define NOT_ALLOWED_REP 23
#define NOT_ALLOWED_REPXX 24
#define TOO_LONG_STR 25
#define TOO_MANY_ARGS 26
#define INSUFFICIENT_BUFFER 27
#define INVALID_IN_LM16 28
#define TOO_LARGE_ALTER_NUM 29
#define MODE_CHANGED_TO_16 30
#define MODE_CHANGED_TO_32 31
#define MODE_CHANGED_TO_64 32
#define BASE_CHANGED_BY_ORG 33
#define ASM_DIRECTIVE 34
#define MNEM_HEAP 1
#define OPER1_HEAP 2
#define OPER2_HEAP 4
#define OPER3_HEAP 8
#define OPER4_HEAP 16
#define OPER5_HEAP 32
#define MO_RANGES 64
#define ANALYSES_HEAP 128
#define SINGLE_DASM 256
#define MODRM_RANGES_PRESENT 1
#define ANALYSES_PRESENT 2
#define OMIT_SHORT 4
#define OMIT_TYPE_SPEC 8
#define OMIT_DEFAULT_SEG 16
#define INDEX_BP 32
#define OMIT_NEAR_PTR 512
#define LOADALLS 1024
#define RJ_OFFSET 2048
#define RIP_REL_OFFSET 4096
#define ARCH_INTEL64 1073741824
#define ARCH_AMD64 2147483648
#define LONG_MODE 0
#define LEGACY_MODE32 1
#define LEGACY_MODE16 2
#define OPER66OVER 1
#define ADDR67OVER 2
#define LOCK_PFX 4
#define MODRM 8
#define SIB_BYTE 16
#define MOFFSET 32
#define RIP_ADDR 64
#define ERASE_SECOND_N 128
#define JADDR16_BUT_NOT_LM16 256
#define MOD11_OPCODE 512
#define PFX_F3 1024
#define JADDR 2048
#define OPER2_MEM 4096
#define REG_OPCODE 8192
#define RMEM_OPCODE 16384
#define F2F366_OPCODE 32768
#define F2F3_OPCODE 65536
#define WASTE_PFX_SET 131072
#define FLAG_0F 262144
#define OPSZ_NOT_INFERRS 524288
#define CS_D_NA 1048576
#define FLAG_38 2097152
#define FLAG_3A 4194304
#define CPL3_ALLOWED 8388608
#define VEX_PFX 16777216
#define XOP_PFX 33554432
#define VSIB 67108864
#define OPER1_MEM 134217728
#define OPER3_MEM 268435456
#define OPER4_MEM 536870912
#define SVEX_PFX 1073741824
#define OFFSETS_COL 1
#define HEX_COL 2
#define RIP_ADDRS 4
#define REL_ADDRS 8
#define CR 16
#define NOT_TABBED 32
#define LF 64
#define ALT_MNEM 128
#define REL_FFFF_ADDRS 256
#define DB_STRING 512
#define ADDR_COMPACT 1024
#define None 0
#define m2z 1
#define Ub 2
#define Ib 3
#define Iz 4
#define Ubm 5
#define Sb 6
#define Uw 7
#define _CL 8
#define Iv 9
#define Id 10
#define Mb_Rd_q 11
#define Mw_Rv 12
#define M2ps 13
#define Ed_q 14
#define Wsd 15
#define Yh 16
#define Ed 17
#define Wss 18
#define Md 19
#define Ww 20
#define Wq 21
#define Mq 22
#define Mw_Rd 23
#define Gd_q 24
#define vGd_q 25
#define Wdq 26
#define Vpd 27
#define Wb 28
#define Wd 29
#define Mdq 30
#define Mpd 31
#define W2ps 32
#define Vps 33
#define Vss 34
#define Vsd 35
#define iVpb 36
#define iVpw 37
#define iVpd 38
#define iVpq 39
#define Yps 40
#define Ypd 41
#define Yss 42
#define Ysd 43
#define iYpb 44
#define iYpw 45
#define iYpd 46
#define iYpq 47
#define vVps 48
#define vVpd 49
#define vVss 50
#define vVsd 51
#define viVpb 52
#define viVpw 53
#define viVpd 54
#define viVpq 55
#define vYps 56
#define vYpd 57
#define vYss 58
#define vYsd 59
#define viYpb 60
#define viYpw 61
#define viYpd 62
#define viYpq 63
#define VRps 64
#define VRpd 65
#define VRq 66
#define VRdq 67
#define iWpb 68
#define iWpw 69
#define iWpd 70
#define iWpq 71
#define mYps 72
#define mYpd 73
#define mYss 74
#define mYsd 75
#define imYpb 76
#define imYpw 77
#define imYpd 78
#define imYpq 79
#define bVps 80
#define bVpd 81
#define bVss 82
#define bVsd 83
#define biVpb 84
#define biVpw 85
#define biVpd 86
#define biVpq 87
#define bYps 88
#define bYpd 89
#define bYss 90
#define bYsd 91
#define biYpb 92
#define biYpw 93
#define biYpd 94
#define biYpq 95
#define YRdq 96
#define Mh 97
#define Mss 98
#define Msd 99
#define Mps 100
#define LMps 101
#define YRps 102
#define LMpd 103
#define LMdq 104
#define YRpd 105
#define V2ps 106
#define iVRpw 107
#define iVpo 108
#define mYh 109
#define iWpo 110
#define Vq 111
#define Vdq 112
#define Vd_q 113
#define Wps 114
#define Wpd 115
#define Vd 116
#define iVRpd 117
#define iVRpb 118
#define iVRpq 119
#define iYRpb 120
#define iYRpw 121
#define iYRpd 122
#define iYRpq 123
#define iW2pd 124
#define Whps 125
#define W4hps 126
#define W8pb 127
#define W4pb 128
#define W2pb 129
#define W4pw 130
#define W2pw 131
#define Pd 132
#define Pq 133
#define iPpb 134
#define iQpb 135
#define iPpw 136
#define iQpw 137
#define iPpd 138
#define iQpd 139
#define iP4pb 140
#define iQ4pb 141
#define iP2pw 142
#define iQ2pw 143
#define iPd 144
#define iQd 145
#define Eb 146
#define Ew 147
#define Ev 148
#define _Eq 149
#define Gb 150
#define Gw 151
#define Gd 152
#define Gv 153
#define Gz 154
#define iPRpd 155
#define iPRpb 156
#define iPRpw 157
#define iYpo 158
#define Pd_q 159
#define Qd 160
#define Qq 161
#define PRq 162
#define mem80dec 163
#define m32real 164
#define m64real 165
#define mem80real 166
#define m16int 167
#define m32int 168
#define m64int 169
#define m16 170
#define M 171
#define Ma 172
#define Mp 173
#define Mb 174
#define Mw 175
#define Mv 176
#define Ms 177
#define Mq_Mdq 178
#define Mw_Rd_q 179
#define Md_q 180
#define Rv 181
#define Rd_q 182
#define Mb_Rd 183
#define Sw 184
#define Td_q 185
#define Cd_q 186
#define Dd_q 187
#define st0 188
#define st1 189
#define st2 190
#define st3 191
#define st4 192
#define st5 193
#define st6 194
#define st7 195
#define env14_28 196
#define env94_108 197
#define vmcb 198
#define Gzv 199
#define UnkModRM 200
#define Ob 201
#define Ov 202
#define Ap 203
#define _Jb 204
#define Yb 205
#define Xb 206
#define Yz 207
#define Xz 208
#define Yv 209
#define Xv 210
#define rAX_r8 211
#define rCX_r9 212
#define rDX_r10 213
#define rBX_r11 214
#define rSP_r12 215
#define rBP_r13 216
#define rSI_r14 217
#define rDI_r15 218
#define AL_r8b 219
#define CL_r9b 220
#define DL_r10b 221
#define BL_r11b 222
#define AH_r12b 223
#define CH_r13b 224
#define DH_r14b 225
#define BH_r15b 226
#define _rAX 227
#define _eAX 228
#define _eCX 229
#define _eDX 230
#define _eBX 231
#define _eSP 232
#define _eBP 233
#define _eSI 234
#define _eDI 235
#define _AL 236
#define _AX 237
#define _DX 238
#define _ES 239
#define _CS 240
#define _SS 241
#define _DS 242
#define _FS 243
#define _GS 244
#define One 245
#define xb 246
#define _Jz 247
#define _eax 248
#define _ecx 249
#define UD64 1
#define UD16_32 2
#define DIFF64_OPC 3
#define WaitPfx 4
#define x87 5
#define MNEM16_DIFF 6
#define MNEM16_DFUD64 7
#define TwoPDepBut66 8
#define TwoPDepend 9
#define NOW3D 10
#define MNEM_DIF 11
#define MNEM67_DIF 12
#define FGROUP 13
#define PfxDepend 14
#define FGROUP_MOD11 15
#define RegAvx 16
#define wm_ch 17
#define modmsd 18
#define WMBZ 19
#define sg_opc 20
#define wm_chf 21
#define W1 22
#define no32op 1
#define j32no 2
#define framel 3
#define op_lock 4
#define op_rep 5
#define rep_n_e 6
#define CSdNA 7
#define m1l_avx 8
#define xop2op 9
#define xop3op 10
#define xop4op 11
#define nrev3op 12
#define nrev4op 13
#define ibasic 1
#define icmpxchgxb 2
#define icmovcc 3
#define i3dprefetch 4
#define iclflush 5
#define imovbe 6
#define icrc32 7
#define iprefetch 8
#define ilongmode 9
#define ipclmulqdq 10
#define iaes 11
#define ixsaverstr 12
#define i64sysctrl 13
#define itsc 14
#define irdtscp 15
#define irdwrmsr 16
#define isyscallret 17
#define ienterexit 18
#define isvm 19
#define isysctrl 20
#define iisysctrl 21
#define isse 22
#define issemmxext 23
#define issemmxbsc 24
#define issemmx 25
#define issebasic 26
#define ifxsaverstr 27
#define isse2 28
#define isse2mmx 29
#define ibasicsse2 30
#define isse2mmxext 31
#define isse2basic 32
#define isse3 33
#define isse3mmx 34
#define isse3fpu 35
#define issse3 36
#define issse3mmxex 37
#define isse4a 38
#define isse41 39
#define isse41bsc 40
#define isse42 41
#define immx 42
#define immxx87 43
#define immxbasic 44
#define ix87 45
#define ix87cmovcc 46
#define ix87mmx 47
#define i3dnow 48
#define i3dnowx87 49
#define i3dnowext 50
#define ivmx 51
#define ifma4 52
#define ixop 53
#define iavx 54
#define iaesavx 55
#define if16c 56
#define ifma3 57
#define ibmi1 58
#define ibmi2 59
#define iavx2 60
#define iaclmul 61
#define ifsgsbase 62
#define irdrand 63
#define itbm 64
#define any_addr 0
#define forced_rip 1
#define forced_offset 2
#define opt_addr16 3
#define opt_addr32 4
#define opt_addr64 5
#define forced_sib 6
#define with_no_sib 7
#define forced_internal_offset 8
#define ignore_altm 9
#define E_DIVIDE_BY_ZERO_ERROR 0
#define E_DEBUG 1
#define E_NON_MASKABLE_INT 2
#define E_BREAKPOINT 3
#define E_OVERFLOW 4
#define E_BOUND_RANGE 5
#define E_INVALID_OPCODE 6
#define E_DEVICE_NOT_AVAILABLE 7
#define E_DOUBLE_FAULT 8
#define E_COPROCESSOR_SEG_OVER 9
#define E_INVALID_TSS 10
#define E_SEGMENT_NOT_PRESENT 11
#define E_STACK 12
#define E_GENERAL_PROTECTION 13
#define E_PAGE_FAULT 14
#define E_RESERVED 15
#define E_X87_EXCEPT_PENDING 16
#define E_ALIGNMENT_CHECK 17
#define E_MACHINE_CHECK 18
#define E_SIMD_FLOATING_POINT 19
#define E_SECURITY_EXCEPTION 30
#define E_EXTERNAL_INTS 32
#define C_DIV_IDIV_INSTRUCTIONS 0
#define C_INSTR_OR_DATA_ACCESS 1
#define C_EXTERNAL_NMI_SIGNAL 2
#define C_INT3_INSTR 3
#define C_INTO_INSTR 4
#define C_BOUND_INSTR 5
#define C_INVALID_INSTRS 6
#define C_X87_INSTRUCTIONS 7
#define C_INT_DURING_AN_INT 8
#define C_RESERVED 9
#define C_TSS_ACCESS_AND_SWITCH 10
#define C_ACCESS_THROUGH_AN_LSD 11
#define C_SS_LOADS_AND_SS_REFS 12
#define C_MEM_ACCESS_AND_PCHECK 13
#define C_PAGING_MEM_ACCESS 14
#define C_X87_AND_MEDIA64_INSTR 16
#define C_MEM_ACCESS 17
#define C_MODEL_SPECIFIC 18
#define C_MEDIA128_INSTR 19
#define C_SECURE_EVENT_IN_HOST 30
#define C_EXT_INT_SIGNAL 32
#define SRC_SOFTWARE 8
#define SRC_INTERNAL 16
#define SRC_EXTERNAL 32
#define TYPE_FAULT 64
#define TYPE_TRAP 128
#define TYPE_ABORT 256
#define PRECISE 512
#define NOT_PRECISE 1024
#define CLASS_CONTRIBUTORY 2048
#define CLASS_BENIGN 4096
#define GENS_BY_GEN_INSTRS 8192
#define RESERVED_VECTOR 16384
#define XF_INVALID_OPERATION 0
#define XF_DENORMALIZED_OPERATION 1
#define XF_ZERO_DIVIDED 2
#define XF_OVERFLOW 3
#define XF_UNDERFLOW 4
#define XF_PRECISION 5
#define MF_INVALID_OPERATION 0
#define MF_DENORMALIZED_OPERATION 1
#define MF_ZERO_DIVIDED 2
#define MF_OVERFLOW 3
#define MF_UNDERFLOW 4
#define MF_PRECISION 5
#define MF_STACK_FAULT 6
#define LOAD_CONFUSION 1
#define LZCNT_BSR 2
#define VMPTRLD_RDRAND 3
#define TZCNT_BSF 4
#define c_ss0000 0
#define c_gp0001 1
#define c_gp0002 2
#define c_gp0003 3
#define c_pf0004 4
#define c_ac0005 5
#define c_np0006 6
#define c_ss0007 7
#define c_gp0008 8
#define c_gp0009 9
#define c_gp0010 10
#define c_gp0011 11
#define c_gp0012 12
#define c_gp0013 13
#define c_gp0014 14
#define c_ss0015 15
#define c_br0016 16
#define c_gp0017 17
#define c_ss0018 18
#define c_gp0019 19
#define c_ud0020 20
#define c_gp0021 21
#define c_gp0022 22
#define c_gp0023 23
#define c_gp0024 24
#define c_ss0025 25
#define c_gp0026 26
#define c_ud0027 27
#define c_ud0028 28
#define c_gp0029 29
#define c_gp0030 30
#define c_gp0031 31
#define c_gp0032 32
#define c_gp0033 33
#define c_gp0034 34
#define c_gp0035 35
#define c_db0036 36
#define c_ud0037 37
#define c_ud0038 38
#define c_gp0039 39
#define c_ts0040 40
#define c_ts0041 41
#define c_ts0042 42
#define c_ts0043 43
#define c_ts0044 44
#define c_ts0045 45
#define c_ts0046 46
#define c_np0047 47
#define c_ss0048 48
#define c_ss0049 49
#define c_gp0050 50
#define c_gp0051 51
#define c_gp0052 52
#define c_gp0053 53
#define c_gp0054 54
#define c_gp0055 55
#define c_gp0056 56
#define c_gp0057 57
#define c_gp0058 58
#define c_gp0059 59
#define c_gp0060 60
#define c_gp0061 61
#define c_nm0062 62
#define c_mf0063 63
#define c_gp0064 64
#define c_gp0065 65
#define c_ud0066 66
#define c_ud0067 67
#define c_ud0068 68
#define c_ud0069 69
#define c_nm0070 70
#define c_ud0071 71
#define c_xf0072 72
#define c_xf0073 73
#define c_xf0074 74
#define c_gp0075 75
#define c_gp0076 76
#define c_gp0077 77
#define c_ud0078 78
#define c_ud0079 79
#define c_ud0080 80
#define c_gp0081 81
#define c_gp0082 82
#define c_gp0083 83
#define c_gp0084 84
#define c_gp0085 85
#define c_gp0086 86
#define c_gp0087 87
#define c_gp0088 88
#define c_gp0089 89
#define c_gp0090 90
#define c_gp0091 91
#define c_gp0092 92
#define c_gp0093 93
#define c_gp0094 94
#define c_gp0095 95
#define c_gp0096 96
#define c_gp0097 97
#define c_gp0098 98
#define c_gp0099 99
#define c_gp0100 100
#define c_gp0101 101
#define c_gp0102 102
#define c_gp0103 103
#define c_np0104 104
#define c_ss0105 105
#define c_gp0106 106
#define c_gp0107 107
#define c_gp0108 108
#define c_gp0109 109
#define c_gp0110 110
#define c_gp0111 111
#define c_gp0112 112
#define c_gp0113 113
#define c_gp0114 114
#define c_gp0115 115
#define c_gp0116 116
#define c_np0117 117
#define c_gp0118 118
#define c_gp0119 119
#define c_gp0120 120
#define c_gp0121 121
#define c_gp0122 122
#define c_gp0123 123
#define c_gp0124 124
#define c_gp0125 125
#define c_gp0126 126
#define c_gp0127 127
#define c_of0128 128
#define c_bp0129 129
#define c_ts0130 130
#define c_ss0131 131
#define c_db0132 132
#define c_gp0133 133
#define c_de0134 134
#define c_gp0135 135
#define c_gp0136 136
#define c_gp0137 137
#define c_de0138 138
#define c_de0139 139
#define c_ud0140 140
#define c_np0141 141
#define c_gp0142 142
#define c_gp0143 143
#define c_gp0144 144
#define c_gp0145 145
#define c_gp0146 146
#define c_np0147 147
#define c_gp0148 148
#define c_gp0149 149
#define c_gp0150 150
#define c_gp0151 151
#define c_ud0152 152
#define c_gp0153 153
#define c_ud0154 154
#define c_ud0155 155
#define c_ud0156 156
#define c_gp0157 157
#define c_gp0158 158
#define c_ud0159 159
#define c_ud0160 160
#define c_gp0161 161
#define c_gp0162 162
#define c_ud0163 163
#define c_ud0164 164
#define c_ud0165 165
#define c_gp0166 166
#define c_gp0167 167
#define c_ud0168 168
#define c_ud0169 169
#define c_ud0170 170
#define c_ud0171 171
#define c_ud0172 172
#define c_gp0173 173
#define c_gp0174 174
#define c_ac0175 175
#define c_ud0176 176
#define c_ud0177 177
#define c_gp0178 178
#define c_ud0179 179
#define c_gp0180 180
#define c_ud0181 181
#define c_ud0182 182
#define c_gp0183 183
#define c_ud0184 184
#define c_ud0185 185
#define c_ud0186 186
#define c_ud0187 187
#define c_ud0188 188
#define c_ud0189 189
#define c_xf0190 190
#define c_xf0191 191
#define c_xf0192 192
#define c_ud0193 193
#define c_gp0194 194
#define c_gp0195 195
#define c_gp0196 196
#define c_ud0197 197
#define c_ud0198 198
#define c_gp0199 199
#define c_gp0200 200
#define c_ud0201 201
#define c_gp0202 202
#define c_gp0203 203
#define c_ud0204 204
#define c_xf0205 205
#define c_xf0206 206
#define c_xf0207 207
#define c_xf0208 208
#define c_xf0209 209
#define c_xf0210 210
#define c_xf0211 211
#define c_xf0212 212
#define c_xf0213 213
#define c_xf0214 214
#define c_xf0215 215
#define c_xf0216 216
#define c_xf0217 217
#define c_ud0218 218
#define c_ud0219 219
#define c_ud0220 220
#define c_mf0221 221
#define c_mf0222 222
#define c_mf0223 223
#define c_mf0224 224
#define c_mf0225 225
#define c_mf0226 226
#define c_mf0227 227
#define c_mf0228 228
#define c_mf0229 229
#define c_mf0230 230
#define c_mf0231 231
#define c_mf0232 232
#define c_mf0233 233
#define c_mf0234 234
#define c_mf0235 235
#define c_mf0236 236
#define c_mf0237 237
#define c_mf0238 238
#define c_mf0239 239
#define c_mf0240 240
#define c_mf0241 241
#define c_mf0242 242
#define c_mf0243 243
#define c_mf0244 244
#define c_mf0245 245
#define c_mf0246 246
#define c_mf0247 247
#define c_mf0248 248
#define c_mf0249 249
#define c_mf0250 250
#define c_mf0251 251
#define c_ud0252 252
#define c_mf0253 253
#define c_mf0254 254
#define c_mf0255 255
#define c_mf0256 256
#define c_ud0257 257
#define c_ud0258 258
#define c_gp0259 259
#define c_pf0260 260
#define c_ss0261 261
#define c_ud0262 262
#define c_gp0263 263
#define c_ss0264 264
#define c_gp0265 265
#define c_gp0266 266
#define c_gp0267 267
#define c_gp0268 268
#define c_gp0269 269
#define c_pf0270 270
#define c_ss0271 271
#define c_ss0272 272
#define c_ss0273 273
#define c_ud0274 274
#define c_gp0275 275
#define c_ss0276 276
#define c_ss0277 277
#define c_gp0278 278
#define c_gp0279 279
#define c_pf0280 280
#define c_ss0281 281
#define c_ss0282 282
#define c_gp0283 283
#define c_gp0284 284
#define c_gp0285 285
#define c_pf0286 286
#define c_gp0287 287
#define c_gp0288 288
#define c_ud0289 289
#define c_gp0290 290
#define c_gp0291 291
#define c_ud0292 292
#define c_ud0293 293
#define c_ss0294 294
#define c_ss0295 295
#define c_gp0296 296
#define c_ud0297 297
#define c_ud0298 298
#define c_ud0299 299
#define c_ud0300 300
#define c_gp0301 301
#define c_gp0302 302
#define c_gp0303 303
#define c_nm0304 304
#define c_ss0305 305
#define c_ss0306 306
#define c_gp0307 307
#define c_gp0308 308
#define c_gp0309 309
#define c_gp0310 310
#define c_pf0311 311
#define c_gp0312 312
#define c_gp0313 313
#define c_gp0314 314
#define c_ud0315 315
#define c_ud0316 316
#define c_ud0317 317
#define c_nm0318 318
#define c_ss0319 319
#define c_gp0320 320
#define c_gp0321 321
#define c_pf0322 322
#define c_ac0323 323
#define c_gp0324 324
#define c_gp0325 325
#define c_ud0326 326
#define c_gp0327 327
#define c_gp0328 328
#define c_gp0329 329
#define c_ud0330 330
#define c_gp0331 331
#define c_ud0332 332
#define c_xf0333 333
#define c_xf0334 334
#define c_xf0335 335
#define c_xf0336 336
#define c_ud0337 337
#define c_ud0338 338
#define c_gp0339 339
#define c_xf0340 340
#define c_ud0341 341
#define c_ac0342 342
#define c_ac0343 343
#define c_ud0344 344
#define c_ud0345 345
#define c_ud0346 346
#define c_ud0347 347
#define c_ud0348 348
#define c_ud0349 349
#define c_ud0350 350
#define c_ud0351 351
#define c_nm0352 352
#define c_ss0353 353
#define c_gp0354 354
#define c_pf0355 355
#define c_ac0356 356
#define c_ud0357 357
#define c_ud0358 358
#define c_ud0359 359
#define c_ud0360 360
#define c_gp0361 361
#define c_ud0362 362
#define c_ud0363 363
#define c_ss0364 364
#define c_ss0365 365
#define c_gp0366 366
#define c_pf0367 367
#define c_ac0368 368
#define c_ud0369 369
#define c_ud0370 370
#define c_ud0371 371
#define c_ud0372 372
#define c_gp0373 373
#define c_gp0374 374
#define c_gp0375 375
#define c_gp0376 376
#define c_gp0377 377
#define c_pf0378 378
#define c_ss0379 379
#define ch_cpl 1
#define callgate 2
