#include "idmc.h"
#include "dsmenums.h"
#define GPR_EAX 0
#define GPR_EBX 3
#define GPR_ECX 1
#define GPR_EDX 2
#define GPR_ESI 6
#define GPR_EDI 7
#define GPR_EBP 5
#define GPR_ESP 4
#define GPR_AX 0
#define GPR_BX 3
#define GPR_CX 1
#define GPR_DX 2
#define GPR_SI 6
#define GPR_DI 7
#define GPR_BP 5
#define GPR_SP 4
#define GPR_AL 0
#define GPR_BL 3
#define GPR_CL 1
#define GPR_DL 2
#define GPR_AH 4
#define GPR_BH 7
#define GPR_CH 5
#define GPR_DH 6
#define GPR_RAX 0
#define GPR_RBX 3
#define GPR_RCX 1
#define GPR_RDX 2
#define GPR_RSI 6
#define GPR_RDI 7
#define GPR_RBP 5
#define GPR_RSP 4
#define GPR_R8 8
#define GPR_R9 9
#define GPR_R10 10
#define GPR_R11 11
#define GPR_R12 12
#define GPR_R13 13
#define GPR_R14 14
#define GPR_R15 15
#define GPR_R8d 8
#define GPR_R9d 9
#define GPR_R10d 10
#define GPR_R11d 11
#define GPR_R12d 12
#define GPR_R13d 13
#define GPR_R14d 14
#define GPR_R15d 15
#define GPR_R8w 8
#define GPR_R9w 9
#define GPR_R10w 10
#define GPR_R11w 11
#define GPR_R12w 12
#define GPR_R13w 13
#define GPR_R14w 14
#define GPR_R15w 15
#define GPR_R8b 8
#define GPR_R9b 9
#define GPR_R10b 10
#define GPR_R11b 11
#define GPR_R12b 12
#define GPR_R13b 13
#define GPR_R14b 14
#define GPR_R15b 15
#define GPR_SIL 6
#define GPR_DIL 7
#define GPR_BPL 5
#define GPR_SPL 4
#define ID_ES 0
#define ID_CS 1
#define ID_SS 2
#define ID_DS 3
#define ID_FS 4
#define ID_GS 5
typedef unsigned __int64 QWORD;
typedef struct{
	BYTE Note;
	BYTE ExNote;
	WORD MnemOrd;
	BYTE FirstOper;
	BYTE SecondOper;
	BYTE ThirdOper;
	BYTE FourthOper;
	BYTE FifthOper;
	BYTE iSet;
}Features,*LPFeatures;
typedef struct{
	DWORD HighAddr;
	DWORD LowAddr;
}moRange;
typedef struct{
	ULONG CntRange;
	moRange rng;
}moRanges, *pmoRanges;
typedef struct{
	BYTE ID;
	BYTE VIP;
	BYTE VIF;
	BYTE AC;
	BYTE VM;
	BYTE RF;
	BYTE NT;
	BYTE IOPL;
	BYTE _OF;
	BYTE _DF;
	BYTE _IF;
	BYTE TF;
	BYTE SF;
	BYTE ZF;
	BYTE AF;
	BYTE PF;
	BYTE CF;
}EF,*LPEF;
typedef struct{
	BYTE C0;
	BYTE C1;
	BYTE C2;
	BYTE C3;
	BYTE dC0;
	BYTE dC1;
	BYTE dC2;
	BYTE dC3;
}x87c,*lpx87c;
#define NA 0
#define _0 1
#define _1 2
#define U 3
#define _Mod 4
#define TMod 5
#define _Pop 6
#define TPop 7
#define Tst 8
#define lAH 9
#define VMS0 10
#define VMIN 11
#define VMEN 12

#define lmem 1
#define _rng 2
#define _ovs 3
#define v0q 4
#define v1q 5
#define v2q 6
#define fpri 7
#define rnup 8
#define fexm 9
#define _ous 10
#define cmp0 11
#define ex00 12
#define ex01 13
#define ex02 14
#define ex03 15
typedef struct{
	BYTE Exception;
	CHAR Mnemonic[3];
	CHAR AltMnemonic[3];
	BYTE Flags;
}X87Exception,*LPX87Exception;
typedef struct{
	BYTE Exception;
	CHAR Mnemonic[3];
	CHAR AltMnemonic[3];
	BYTE Flags;
}MediaException,*LPMediaException;
#define IEEE754				(1 << 3)
#define NAN_HIGH_PRIORITY	(1 << 4)
typedef struct{
	BYTE Interrupt;
	CHAR Mnemonic[4];
	BYTE Cause;
	WORD Flags;
}ExceptProps,*LPExceptProps;
#define MIN_MODRM Mb_Rd_q
#define MAX_MODRM UnkModRM
typedef struct{
	BYTE TotalBytes;
	BYTE AlterOpcNum;
	BYTE OptAddr;
	BYTE PfxPerm;
	BYTE WasteBitFields;
	BYTE WastePfx[19];
}AltmBytes,*PALTM_BYTES;
#define MaxInstrLen 15
#define FULL_OPCSIZE 32
#define STD_MNEM_SIZE 32
#define STD_OPERMNEM_SIZE 64
#define ALTM_STR_SIZE 128
#define PLAIN_DASM (MNEM_HEAP|OPER1_HEAP|OPER2_HEAP|OPER3_HEAP|OPER4_HEAP|OPER5_HEAP|RJ_OFFSET)
#define ANALYSES_AREA (PLAIN_DASM|SINGLE_DASM)
#define STD_INSTR (PLAIN_DASM|MO_RANGES)
#define EXT_INSTR (STD_INSTR|ANALYSES_HEAP)
#define CR_LF (CR|LF|ALT_MNEM)
#define STD_MNEM (CR_LF|OFFSETS_COL|HEX_COL|ALT_MNEM|ADDR_COMPACT)
#define RIP_REL (RIP_ADDRS|REL_ADDRS|CR_LF|ALT_MNEM)
#define STD_CLEAR_MNEM (NOT_TABBED|ALT_MNEM)
#define RIP_REL_LF (RIP_ADDRS|REL_ADDRS|LF|ALT_MNEM)
#define RIP_REL_FFFF (RIP_ADDRS|REL_ADDRS|CR_LF|ALT_MNEM|REL_FFFF_ADDRS)
#define pfx_lock 0
#define pfx_66 1
#define pfx_67 2
#define pfx_seg 3
#define pfx_f2_f3 4
#define SIGNED_INT (1 << 0)
#define PLUS_SIGN (1 << 1)
#define RADIX_LETTER (1 << 2)
#define FIRST_CIPHER (1 << 3)
#define STD_HEX (FIRST_CIPHER|RADIX_LETTER)
#define STD_BIN RADIX_LETTER
#define STD_OCT RADIX_LETTER
#define STD_DEC 0
#define SIGNED_HEX (FIRST_CIPHER|RADIX_LETTER|SIGNED_INT)
#define SIGNED_BIN (SIGNED_INT|RADIX_LETTER)
#define SIGNED_OCT (SIGNED_INT|RADIX_LETTER)
#define SIGNED_DEC SIGNED_INT
#define UPPER_CHAR 0xDF
#define DEFAULT_RADIX (1 << 0)
#define STD_MASM_NUM (DEFAULT_RADIX|FIRST_CIPHER)
#define MUST_BE_POSITIVE_OR_ZERO 1
#define DIVIDE_BY_ZERO 2
#define MUST_BEGINS_BY_CIPHER 3
#define OWORD_SIZE (1 << 8)
#define HWORD_SIZE (1 << 9)
#define DHWORD_SIZE	(1 << 10)
#define QHWORD_SIZE	(1 << 11)
#define INDIRECT_SHIFT_COUNT	(1 << 12)
#define ERASE_MASM_QUOTES		(1 << 13)
#define STD_MASM_NUM_128 (STD_MASM_NUM|OWORD_SIZE)
#define SIGNED_128 (SIGNED_INT|OWORD_SIZE)
typedef struct{
	BYTE MajorVersa;
	BYTE MinorVersa;
	BYTE OpcNum;
	BYTE OpcTotal;
	DWORD DsmCtrl;
	PVOID CodePtr;
	PVOID NextPtr;
	QWORD AlterBase;
	LPSTR MnemOperType;
	LPSTR Mnemonic;
	LPSTR Oper1Mnemonic;
	LPSTR Oper2Mnemonic;
	LPSTR Oper3Mnemonic;
	LPSTR Oper4Mnemonic;
	LPSTR Oper5Mnemonic;
	ULONG64 RemnCode;
	pmoRanges ModrmOffsets;
	PVOID hAnalyses;
	BYTE Mode;
	BYTE IsHeapStr;
	BYTE FullOpcode[FULL_OPCSIZE];
	BYTE SegOver;
	BYTE RepPfx;
	BYTE PfxCnt;
	union{
		BYTE RexPfx;
		BYTE XopRex;
		BYTE VexRex;
	};
	union{
		BYTE XopSec;
		BYTE VexSec;
	};
	BYTE InstrLen;
	BYTE mode;
	BYTE reg;
	BYTE rmem;
	BYTE Scale;
	BYTE Index;
	BYTE Base;
	BYTE ModRmAddress[32];
	BYTE DefaultOperSize;
	BYTE DefaultAddrSize;
	LPEF iFlags;
	x87c x87Condition;
	DWORD mOffset;
	DWORD iMxcsr;
	DWORD DataSegMnem;
	DWORD Status;
	DWORD AddrBias;
	DWORD Opflags;
	Features OpFeatures;
	BYTE OptAddr;
	union{
		BYTE RipOffsetBuf[37];
		BYTE JAddrOffsetBuf[37];
	};
	union{
		LPSTR RipOffset;
		LPSTR JAddrOffset;
	};
	DWORD fn1_eax;
	DWORD fn1_ebx;
	DWORD fn1_ecx;
	DWORD fn1_edx;
	DWORD fn7_eax;
	DWORD fn7_ebx;
	DWORD fn7_ecx;
	DWORD fn7_edx;
	DWORD fn80000001_eax;
	DWORD fn80000001_ebx;
	DWORD fn80000001_ecx;
	DWORD fn80000001_edx;
	PVOID InitialCodePtr;
	ULONG64 InitialCodeSize;
}Instruction,*HINSTR;
typedef struct{
	HINSTR Analyzand;
	HINSTR AnalysesArea;
	CHAR AltmMnemonic[ALTM_STR_SIZE];
	BYTE AlterOpc;
	BYTE PfxPerm;
	BYTE WastePfx[14];
	BYTE WasteBitFields;
	BYTE LegacyCnt[7];
}Analyses,*HANALYSES;
typedef struct{
	BYTE Vector;
	BYTE Flags;
	WORD NoteIndex;
}ExceptionPtr,*PEXCEPT_PTR;
typedef struct{
	WORD eCount;
	ExceptionPtr VectorsList;
}Exceptions,*PEXCEPTS;
#define E_REAL (1 << 3)
#define E_8086 (1 << 4)
#define E_PR86 (1 << 5)
#define E_COMP (1 << 6)
#define E_PR64 (1 << 7)
#define E_PROT (E_PR86|E_PR64|E_COMP)
#define E_ALL (E_REAL|E_8086|E_PROT)
#define E_VPRT (E_8086|E_PROT)
#define E_RORV (E_REAL|E_8086)
#define E_NVRT (E_REAL|E_PROT)
#define E_NORL (E_PROT|E_8086)
#define E_PR32 (E_COMP|E_PR86)

#define LAT_IMM (1 << 0)
#define LAT_RNG (1 << 1)
#define LNOTE11	(1 << 2)
#define LAT_COND (1 << 3)
#define LAT_UNV (1 << 4)
#define LAT_FRACT (1 << 5)
#define LNOTE1 (1 << 6)
#define LNOTE2 (1 << 7)
#define LNOTE3 (1 << 8)
#define LNOTE4 (1 << 9)
#define LNOTE5 (1 << 10)
#define LNOTE6 (1 << 11)
#define LNOTE7 (1 << 12)
#define LNOTE8 (1 << 13)
#define OPS16 (1 << 14)
#define OPS32 (1 << 15)
#define OPS64 (1 << 16)
#define LNOTE10 (1 << 17)
#define LNOTE12 (1 << 18)
#define TWO_0F (1 << 19)
#define RA2C (1 << 20)
#define RA4C (1 << 21)
#define BF_EX1_PIPE (1 << 22)
#define LNOTE15 (1 << 23)
#define LNOTE14 (1 << 24)
#define MODE64 (1 << 25)
#define ADDR16 (1 << 26)
#define ADDR32 (1 << 27)
#define LNOTE13 (1 << 28)
#define LNOTE9 (1 << 29)
#define NORES (LNOTE5)
#define LNOTE16	(1 << 30)
#define J32NOF (1 << 31)
#define MODREGREG (1 << 0)
#define MODREGMEM (1 << 1)
#define LNOTE17	(1 << 2)
#define LNOTE18 (1 << 3)
#define LNOTE19 (1 << 4)
#define MBL (1 << 6)
#define VEX_SEC66 (1 << 7)

#define EX0_PIPE (1 << 0)
#define EX1_PIPE (1 << 1)
#define AG0_PIPE (1 << 2)
#define AG1_PIPE (1 << 3)
#define P0_PIPE	(1 << 4)
#define P1_PIPE (1 << 5)
#define P2_PIPE	(1 << 6)
#define P3_PIPE (1 << 7)
#define UNV_PIPE (1 << 8)
#define MAL_PIPE (1 << 9)
#define XBR_PIPE (1 << 10)
#define FMA_PIPE (1 << 11)
#define MC_PIPE	(1 << 12)
#define CVT_PIPE (1 << 13)
#define MMA_PIPE (1 << 14)
#define STO_PIPE (1 << 15)
#define FADD_PIPE (1 << 16)
#define FMUL_PIPE (1 << 17)
#define FSTORE_PIPE (1 << 18)
#define NONE_PIPE (1 << 19)
#define EX0_EX1 (EX0_PIPE|EX1_PIPE)
#define AG0_AG1 (AG0_PIPE|AG1_PIPE)
#define EX_AG01 (EX0_EX1|AG0_AG1)
#define FADD_FMUL (FADD_PIPE|FMUL_PIPE)
#define FADD_MUL_ST (FADD_FMUL|FSTORE_PIPE)
#define XBR_P1 (XBR_PIPE|P1_PIPE)
#define MAL_P2_P3 (MAL_PIPE|P2_PIPE|P3_PIPE)
#define CVT_P0 (CVT_PIPE|P0_PIPE)
#define STO_P3 (STO_PIPE|P3_PIPE)
#define FMA_P0_P1 (FMA_PIPE|P0_PIPE|P1_PIPE)
#define MMA_P0 (MMA_PIPE|P0_PIPE)
#define FMA_P0 (FMA_PIPE|P0_PIPE)
#define XBR_P1_FMA_P0 (XBR_P1|FMA_P0)
#define FMA_P0_P1_STO_P3 (FMA_P0_P1|STO_P3)
#define XBR_P1_CVT_P0 (XBR_P1|CVT_P0)
#define CVT_P0_STO_P3 (CVT_P0|STO_P3)
#define XBR_P1_STO_P3 (XBR_P1|STO_P3)
#define MAL_P2_P3_XBR_P1 (MAL_P2_P3|XBR_P1)
#define CVT_P0_FMA_P0_P1 (FMA_P0_P1|CVT_P0)

#define DEC_1P (1 << 0)
#define DEC_2P (1 << 1)
#define DEC_VC (1 << 2)
#define DEC_MC (1 << 3)
typedef struct{
	BYTE FirstPfx;
	BYTE FirstByte;
	BYTE SecondByte;
	BYTE ModrmType;
	DWORD Pipes;
	WORD DecodeType;
	QWORD Latency;
	QWORD Latency2;
	WORD Throughput;
	DWORD Flags;
}ltn,*PLTN;
typedef struct{
	DWORD RelSearch;
	DWORD lCount;
	ltn Latencies;
}ltns,*PLTNS;
#define LAT_ATHLON (1 << 0)
#define LAT_BULLDOZER (1 << 1)
struct cntx;
typedef struct cntx* PCNTX;
typedef BOOL ReadContext(PCNTX Cntx,PVOID lpDest,ULONG64 __size,WORD Selector,QWORD MemOffset,DWORD dwFlags),*PREAD_CONTEXT;
typedef struct{
	PREAD_CONTEXT ReadMemCallback;
	PCONTEXT Context;
	PVOID lpVoid;
}cntx;
PLTN GetLatency(HINSTR hInstr,PLTN Latency,PCNTX Context,DWORD Flags);
#define DIR_FLAG (1 << 10)
#define LZCNT_FLAG (1 << 5)
#define BMI1_FLAG (1 << 3)
HINSTR InitInstr(PVOID CodePtr,ULONG64 AlterBase,BYTE Mode,ULONG64 CodeSize);
HINSTR InitInstrEx(PVOID CodePtr,ULONG64 AlterBase,BYTE Mode,ULONG64 CodeSize,DWORD Flags);
void FreeInstr(HINSTR hInstr);
void ReinitInstr(HINSTR hInstr,PVOID CodePtr,ULONG64 AlterBase,BYTE Mode,ULONG64 CodeSize);
ULONG64 SetCPointer(HINSTR hInstr,PVOID CodePtr);
void SetCPointerEx(HINSTR hInstr,PVOID CodePtr,ULONG64 AlterBase,ULONG64 CodeSize);
DWORD Assemble(HINSTR hInstr,LPSTR Mnemonic);
DWORD AssembleEx(HINSTR hInstr,LPSTR Mnemonic,PALTM_BYTES AlterOpc);
DWORD Disassemble(HINSTR hInstr,LPSTR Mnemonic,PULONG MnemLen,DWORD dwFlags);
DWORD InstrDasm(HINSTR hInstr);
DWORD JoinMnemonic(HINSTR hInstr,LPSTR Mnemonic,PULONG MnemLen,DWORD dwFlags);
LPEF InstrEF(HINSTR hInstr);
BYTE LastInstrLength(HINSTR hInstr);
WORD DsmVersion();
LPSTR IntToStr(LPSTR AsciiStr,PVOID IntVal,QWORD Radix,DWORD dwFlags);
LPSTR StrToInt(PVOID IntVal,LPSTR AsciiStr,QWORD Radix,DWORD dwFlags);
void SetMode(HINSTR hInstr,BYTE Mode);
void SetLzcnt(HINSTR hInstr,BOOL Enabled);
void SetLoadall(HINSTR hInstr,BOOL Enabled);
void SetArch(HINSTR hInstr,BOOL ArchFlag);
PEXCEPTS GetExceptions(HINSTR hInstr);
LPExceptProps GetInterruptProps(PEXCEPT_PTR Vector);
LPMediaException GetMediaExceptionProps(PEXCEPT_PTR Vector);
LPX87Exception GetX87ExceptionProps(PEXCEPT_PTR Vector);
BOOL IsDFCondition(PEXCEPT_PTR Exception1,PEXCEPT_PTR Exception2);
LPSTR LatToStr(LPSTR LatStr,PLTN Latency,DWORD Flags);
BOOL MulNumbers(PVOID LowResult,PVOID HighResult,PVOID Arg1,PVOID Arg2,DWORD dwFlags);
BOOL DivNumbers(PVOID Quotient,PVOID Remainder,PVOID Arg1,PVOID Divider,DWORD dwFlags);
BOOL AddNumbers(PVOID Result,PVOID FirstArg,PVOID SecondArg,DWORD dwFlags);
BOOL SubNumbers(PVOID Result,PVOID FirstArg,PVOID SecondArg,DWORD dwFlags);
BOOL ShlNumber(PVOID Result,PVOID SourceArg,PVOID ShiftCount,DWORD dwFlags);
BOOL ShrNumber(PVOID Result,PVOID SourceArg,PVOID ShiftCount,DWORD dwFlags);
BOOL OrNumbers(PVOID Result,PVOID FirstArg,PVOID SecondArg,DWORD dwFlags);
BOOL XorNumbers(PVOID Result,PVOID FirstArg,PVOID SecondArg,DWORD dwFlags);
BOOL AndNumbers(PVOID Result,PVOID FirstArg,PVOID SecondArg,DWORD dwFlags);
BOOL NegateNumber(PVOID Result,PVOID SourceArg,DWORD dwFlags);
BOOL NotNumber(PVOID Result,PVOID SourceArg,DWORD dwFlags);
void SetBMI1(HINSTR hInstr,BOOL Enabled);