//Assembling: mnemgen.asm

#define id_add 0
#define id_push 1
#define id_pop 2
#define id_or 3
#define id_adc 4
#define id_sbb 5
#define id_and 6
#define id_daa 7
#define id_sub 8
#define id_das 9
#define id_xor 10
#define id_aaa 11
#define id_cmp 12
#define id_aas 13
#define id_inc 14
#define id_dec 15
#define id_pushad 16
#define id_pusha 17
#define id_popad 18
#define id_popa 19
#define id_bound 20
#define id_movsxd 21
#define id_arpl 22
#define id_imul 23
#define id_insb 24
#define id_insd 25
#define id_insw 26
#define id_outsb 27
#define id_outsd 28
#define id_outsw 29
#define id_jo 30
#define id_jno 31
#define id_jb 32
#define id_jnb 33
#define id_jz 34
#define id_jnz 35
#define id_jbe 36
#define id_ja 37
#define id_js 38
#define id_jns 39
#define id_jp 40
#define id_jnp 41
#define id_jl 42
#define id_jnl 43
#define id_jle 44
#define id_jg 45
#define id_test 46
#define id_xchg 47
#define id_mov 48
#define id_lea 49
#define id_nop 50
#define id_pause 51
#define id_cdqe 52
#define id_cwde 53
#define id_cbw 54
#define id_cqo 55
#define id_cdq 56
#define id_cwd 57
#define id_call 58
#define id_wait 59
#define id_pushfq 60
#define id_pushfd 61
#define id_pushf 62
#define id_popfq 63
#define id_popfd 64
#define id_popf 65
#define id_sahf 66
#define id_lahf 67
#define id_movsb 68
#define id_movsq 69
#define id_movsd 70
#define id_movsw 71
#define id_cmpsb 72
#define id_cmpsq 73
#define id_cmpsd 74
#define id_cmpsw 75
#define id_stosb 76
#define id_stosq 77
#define id_stosd 78
#define id_stosw 79
#define id_lodsb 80
#define id_lodsq 81
#define id_lodsd 82
#define id_lodsw 83
#define id_scasb 84
#define id_scasq 85
#define id_scasd 86
#define id_scasw 87
#define id_retn 88
#define id_les 89
#define id_lds 90
#define id_enter 91
#define id_leave 92
#define id_retf 93
#define id_int3 94
#define id_int 95
#define id_into 96
#define id_iretq 97
#define id_iretd 98
#define id_iret 99
#define id_aam 100
#define id_aad 101
#define id_salc 102
#define id_xlat 103
#define id_loopz 104
#define id_loopzd 105
#define id_loopzw 106
#define id_jrcxz 107
#define id_jecxz 108
#define id_jcxz 109
#define id_in 110
#define id_out 111
#define id_jmp 112
#define id_int1 113
#define id_hlt 114
#define id_cmc 115
#define id_clc 116
#define id_stc 117
#define id_cli 118
#define id_sti 119
#define id_cld 120
#define id_std 121
#define id_movs 122
#define id_rol 123
#define id_ror 124
#define id_rcl 125
#define id_rcr 126
#define id_shl 127
#define id_shr 128
#define id_sal 129
#define id_sar 130
#define id_not 131
#define id_neg 132
#define id_mul 133
#define id_div 134
#define id_idiv 135
#define id_sldt 136
#define id_str 137
#define id_lldt 138
#define id_ltr 139
#define id_verr 140
#define id_verw 141
#define id_sgdt 142
#define id_sidt 143
#define id_lgdt 144
#define id_lidt 145
#define id_smsw 146
#define id_lmsw 147
#define id_invlpg 148
#define id_swapgs 149
#define id_rdtscp 150
#define id_vmrun 151
#define id_vmmcall 152
#define id_vmload 153
#define id_vmsave 154
#define id_stgi 155
#define id_clgi 156
#define id_skinit 157
#define id_invlpga 158
#define id_monitor 159
#define id_mwait 160
#define id_lfence 161
#define id_mfence 162
#define id_sfence 163
#define id_bt 164
#define id_bts 165
#define id_btr 166
#define id_btc 167
#define id_cmpxchg16b 168
#define id_cmpxchg8b 169
#define id_psrlw 170
#define id_psraw 171
#define id_psllw 172
#define id_psrld 173
#define id_psrad 174
#define id_pslld 175
#define id_psrlq 176
#define id_psllq 177
#define id_psrldq 178
#define id_pslldq 179
#define id_fxsave64 180
#define id_fxsave 181
#define id_ldmxcsr 182
#define id_stmxcsr 183
#define id_clflush 184
#define id_prefetchnta 185
#define id_prefetcht0 186
#define id_prefetcht1 187
#define id_prefetcht2 188
#define id_extrq 189
#define id_prefetch 190
#define id_lar 191
#define id_lsl 192
#define id_syscall 193
#define id_clts 194
#define id_sysenter 195
#define id_invd 196
#define id_wbinvd 197
#define id_ud2 198
#define id_femms 199
#define id_movups 200
#define id_movss 201
#define id_movupd 202
#define id_movlps 203
#define id_movhlps 204
#define id_movsldup 205
#define id_movlpd 206
#define id_movddup 207
#define id_unpcklps 208
#define id_unpcklpd 209
#define id_unpckhps 210
#define id_unpckhpd 211
#define id_movhps 212
#define id_movlhps 213
#define id_movshdup 214
#define id_movhpd 215
#define id_movaps 216
#define id_movapd 217
#define id_cvtpi2ps 218
#define id_cvtsi2ss 219
#define id_cvtpi2pd 220
#define id_cvtsi2sd 221
#define id_movntps 222
#define id_movntss 223
#define id_movntpd 224
#define id_movntsd 225
#define id_cvttps2pi 226
#define id_cvttss2si 227
#define id_cvttpd2pi 228
#define id_cvttsd2si 229
#define id_cvtps2pi 230
#define id_cvtss2si 231
#define id_cvtpd2pi 232
#define id_cvtsd2si 233
#define id_ucomiss 234
#define id_ucomisd 235
#define id_comiss 236
#define id_comisd 237
#define id_rdtsc 238
#define id_wrmsr 239
#define id_rdmsr 240
#define id_rdpmc 241
#define id_sysexitq 242
#define id_sysexit 243
#define id_cmovo 244
#define id_cmovno 245
#define id_cmovb 246
#define id_cmovnb 247
#define id_cmovz 248
#define id_cmovnz 249
#define id_cmovbe 250
#define id_cmova 251
#define id_cmovs 252
#define id_cmovns 253
#define id_cmovp 254
#define id_cmovnp 255
#define id_cmovl 256
#define id_cmovnl 257
#define id_cmovle 258
#define id_cmovg 259
#define id_movmskps 260
#define id_movmskpd 261
#define id_sqrtps 262
#define id_sqrtss 263
#define id_sqrtpd 264
#define id_sqrtsd 265
#define id_rsqrtps 266
#define id_rsqrtss 267
#define id_rcpps 268
#define id_rcpss 269
#define id_andps 270
#define id_andpd 271
#define id_andnps 272
#define id_andnpd 273
#define id_orps 274
#define id_orpd 275
#define id_xorps 276
#define id_xorpd 277
#define id_addps 278
#define id_addss 279
#define id_addpd 280
#define id_addsd 281
#define id_mulps 282
#define id_mulss 283
#define id_mulpd 284
#define id_mulsd 285
#define id_cvtps2pd 286
#define id_cvtss2sd 287
#define id_cvtpd2ps 288
#define id_cvtsd2ss 289
#define id_cvtdq2ps 290
#define id_cvttps2dq 291
#define id_cvtps2dq 292
#define id_subps 293
#define id_subss 294
#define id_subpd 295
#define id_subsd 296
#define id_minps 297
#define id_minss 298
#define id_minpd 299
#define id_minsd 300
#define id_divps 301
#define id_divss 302
#define id_divpd 303
#define id_divsd 304
#define id_maxps 305
#define id_maxss 306
#define id_maxpd 307
#define id_maxsd 308
#define id_punpcklbw 309
#define id_punpcklwd 310
#define id_punpckldq 311
#define id_packsswb 312
#define id_pcmpgtb 313
#define id_pcmpgtw 314
#define id_pcmpgtd 315
#define id_packuswb 316
#define id_punpckhbw 317
#define id_punpckhwd 318
#define id_punpckhdq 319
#define id_packssdw 320
#define id_punpcklqdq 321
#define id_punpckhqdq 322
#define id_movd 323
#define id_movq 324
#define id_movdqu 325
#define id_movdqa 326
#define id_pshufw 327
#define id_pshufhw 328
#define id_pshufd 329
#define id_pshuflw 330
#define id_pcmpeqb 331
#define id_pcmpeqw 332
#define id_pcmpeqd 333
#define id_emms 334
#define id_insertq 335
#define id_haddpd 336
#define id_haddps 337
#define id_hsubpd 338
#define id_hsubps 339
#define id_seto 340
#define id_setno 341
#define id_setb 342
#define id_setnb 343
#define id_setz 344
#define id_setnz 345
#define id_setbe 346
#define id_seta 347
#define id_sets 348
#define id_setns 349
#define id_setp 350
#define id_setnp 351
#define id_setl 352
#define id_setnl 353
#define id_setle 354
#define id_setg 355
#define id_cpuid 356
#define id_shld 357
#define id_rsm 358
#define id_shrd 359
#define id_cmpxchg 360
#define id_lss 361
#define id_lfs 362
#define id_lgs 363
#define id_movzx 364
#define id_popcnt 365
#define id_bsf 366
#define id_bsr 367
#define id_lzcnt 368
#define id_movsx 369
#define id_xadd 370
#define id_cmpps 371
#define id_cmpss 372
#define id_cmppd 373
#define id_movnti 374
#define id_pinsrw 375
#define id_pextrw 376
#define id_shufps 377
#define id_shufpd 378
#define id_bswap 379
#define id_addsubpd 380
#define id_addsubps 381
#define id_paddq 382
#define id_pmullw 383
#define id_movq2dq 384
#define id_movdq2q 385
#define id_pmovmskb 386
#define id_psubusb 387
#define id_psubusw 388
#define id_pminub 389
#define id_pand 390
#define id_paddusb 391
#define id_paddusw 392
#define id_pmaxub 393
#define id_pandn 394
#define id_pavgb 395
#define id_pavgw 396
#define id_pmulhuw 397
#define id_pmulhw 398
#define id_cvtdq2pd 399
#define id_cvttpd2dq 400
#define id_cvtpd2dq 401
#define id_movntq 402
#define id_movntdq 403
#define id_psubsb 404
#define id_psubsw 405
#define id_pminsw 406
#define id_por 407
#define id_paddsb 408
#define id_paddsw 409
#define id_pmaxsw 410
#define id_pxor 411
#define id_lddqu 412
#define id_pmuludq 413
#define id_pmaddwd 414
#define id_psadbw 415
#define id_maskmovq 416
#define id_maskmovdqu 417
#define id_psubb 418
#define id_psubw 419
#define id_psubd 420
#define id_psubq 421
#define id_paddb 422
#define id_paddw 423
#define id_paddd 424
#define id_pfcmpge 425
#define id_pfmin 426
#define id_pfrcp 427
#define id_pfrsqrt 428
#define id_pfcmpgt 429
#define id_pfmax 430
#define id_pfrcpit1 431
#define id_pfrsqit1 432
#define id_pfcmpeq 433
#define id_pfmul 434
#define id_pfrcpit2 435
#define id_pmulhrw 436
#define id_pi2fw 437
#define id_pi2fd 438
#define id_pf2iw 439
#define id_pf2id 440
#define id_pfnacc 441
#define id_pfpnacc 442
#define id_pfsub 443
#define id_pfadd 444
#define id_pfsubr 445
#define id_pfacc 446
#define id_pswapd 447
#define id_pavgusb 448
#define id_fadd 449
#define id_fmul 450
#define id_fcom 451
#define id_fcomp 452
#define id_fsub 453
#define id_fsubr 454
#define id_fdiv 455
#define id_fdivr 456
#define id_fld 457
#define id_fst 458
#define id_fstp 459
#define id_fldenv 460
#define id_fldcw 461
#define id_fnstenv 462
#define id_fstenv 463
#define id_fnstcw 464
#define id_fstcw 465
#define id_fxch 466
#define id_fnop 467
#define id_fchs 468
#define id_fld1 469
#define id_f2xm1 470
#define id_fprem 471
#define id_fabs 472
#define id_fldl2t 473
#define id_fyl2x 474
#define id_fyl2xp1 475
#define id_fldl2e 476
#define id_fptan 477
#define id_fsqrt 478
#define id_fldpi 479
#define id_fpatan 480
#define id_fsincos 481
#define id_ftst 482
#define id_fldlg2 483
#define id_fxtract 484
#define id_frndint 485
#define id_fxam 486
#define id_fldln2 487
#define id_fprem1 488
#define id_fscale 489
#define id_fldz 490
#define id_fdecstp 491
#define id_fsin 492
#define id_fincstp 493
#define id_fcos 494
#define id_fiadd 495
#define id_fimul 496
#define id_ficom 497
#define id_ficomp 498
#define id_fisub 499
#define id_fisubr 500
#define id_fidiv 501
#define id_fidivr 502
#define id_fcmovb 503
#define id_fcmove 504
#define id_fcmovbe 505
#define id_fcmovu 506
#define id_fucompp 507
#define id_fild 508
#define id_fisttp 509
#define id_fist 510
#define id_fistp 511
#define id_fcmovnb 512
#define id_fcmovne 513
#define id_fcmovnbe 514
#define id_fcmovnu 515
#define id_fucomi 516
#define id_fcomi 517
#define id_fnclex 518
#define id_fclex 519
#define id_fninit 520
#define id_finit 521
#define id_frstor 522
#define id_fnsave 523
#define id_fsave 524
#define id_fnstsw 525
#define id_fstsw 526
#define id_ffree 527
#define id_fucom 528
#define id_fucomp 529
#define id_faddp 530
#define id_fmulp 531
#define id_fsubrp 532
#define id_fsubp 533
#define id_fdivrp 534
#define id_fdivp 535
#define id_fcompp 536
#define id_fbld 537
#define id_fbstp 538
#define id_fucomip 539
#define id_fcomip 540
#define id_ins 541
#define id_scas 542
#define id_outs 543
#define id_loopnz 544
#define id_loopnzd 545
#define id_loopnzw 546
#define id_loop 547
#define id_loopd 548
#define id_loopw 549
#define id_cmps 550
#define id_xlatb 551
#define id_prefetchw 552
#define id_lods 553
#define id_stos 554
#define id_getsec 555
#define id_retnw 556
#define id_retnd 557
#define id_enterw 558
#define id_enterd 559
#define id_leavew 560
#define id_leaved 561
#define id_vmread 562
#define id_vmwrite 563
#define id_vmcall 564
#define id_vmlaunch 565
#define id_vmresume 566
#define id_vmxoff 567
#define id_vmptrld 568
#define id_vmptrst 569
#define id_vmclear 570
#define id_vmxon 571
#define id_invept 572
#define id_invvpid 573
#define id_xgetbv 574
#define id_xsetbv 575
#define id_xsave64 576
#define id_xsave 577
#define id_xrstor64 578
#define id_xrstor 579
#define id_pshufb 580
#define id_phaddw 581
#define id_phaddd 582
#define id_phaddsw 583
#define id_pmaddubsw 584
#define id_phsubw 585
#define id_phsubd 586
#define id_phsubsw 587
#define id_psignb 588
#define id_psignw 589
#define id_psignd 590
#define id_pmulhrsw 591
#define id_pblendvb 592
#define id_blendvps 593
#define id_blendvpd 594
#define id_ptest 595
#define id_pabsb 596
#define id_pabsw 597
#define id_pabsd 598
#define id_pmovsxbw 599
#define id_pmovsxbd 600
#define id_pmovsxbq 601
#define id_pmovsxwd 602
#define id_pmovsxwq 603
#define id_pmovsxdq 604
#define id_pmuldq 605
#define id_pcmpeqq 606
#define id_movntdqa 607
#define id_packusdw 608
#define id_pmovzxbw 609
#define id_pmovzxbd 610
#define id_pmovzxbq 611
#define id_pmovzxwd 612
#define id_pmovzxwq 613
#define id_pmovzxdq 614
#define id_pcmpgtq 615
#define id_pminsb 616
#define id_pminsd 617
#define id_pminuw 618
#define id_pminud 619
#define id_pmaxsb 620
#define id_pmaxsd 621
#define id_pmaxuw 622
#define id_pmaxud 623
#define id_pmulld 624
#define id_phminposuw 625
#define id_aesimc 626
#define id_aesenc 627
#define id_aesenclast 628
#define id_aesdec 629
#define id_aesdeclast 630
#define id_movbe 631
#define id_crc32 632
#define id_roundps 633
#define id_roundpd 634
#define id_blendps 635
#define id_blendpd 636
#define id_pblendw 637
#define id_aeskeygenassist 638
#define id_dpps 639
#define id_dppd 640
#define id_mpsadbw 641
#define id_pclmulqdq 642
#define id_pcmpestrm 643
#define id_pcmpestri 644
#define id_pcmpistrm 645
#define id_pcmpistri 646
#define id_roundss 647
#define id_roundsd 648
#define id_palignr 649
#define id_pextrb 650
#define id_pextrq 651
#define id_pextrd 652
#define id_extractps 653
#define id_pinsrb 654
#define id_insertps 655
#define id_pinsrq 656
#define id_pinsrd 657
#define id_cmpeqpd 658
#define id_cmpltpd 659
#define id_cmplepd 660
#define id_cmpunordpd 661
#define id_cmpneqpd 662
#define id_cmpnltpd 663
#define id_cmpnlepd 664
#define id_cmpordpd 665
#define id_cmpeqps 666
#define id_cmpltps 667
#define id_cmpleps 668
#define id_cmpunordps 669
#define id_cmpneqps 670
#define id_cmpnltps 671
#define id_cmpnleps 672
#define id_cmpordps 673
#define id_cmpeqss 674
#define id_cmpltss 675
#define id_cmpless 676
#define id_cmpunordss 677
#define id_cmpneqss 678
#define id_cmpnltss 679
#define id_cmpnless 680
#define id_cmpordss 681
#define id_cmpeqsd 682
#define id_cmpltsd 683
#define id_cmplesd 684
#define id_cmpunordsd 685
#define id_cmpneqsd 686
#define id_cmpnltsd 687
#define id_cmpnlesd 688
#define id_cmpordsd 689
#define id_fxrstor64 690
#define id_fxrstor 691
#define id_jmpe 692
#define id_retfw 693
#define id_retfd 694
#define id_retfq 695
#define id_vfmaddss 696
#define id_vfmaddsubpd 697
#define id_vfmaddsubps 698
#define id_vfmsubaddpd 699
#define id_vfmsubaddps 700
#define id_vfmsubpd 701
#define id_vfmsubps 702
#define id_vfmsubsd 703
#define id_vfmsubss 704
#define id_vfnmaddpd 705
#define id_vfnmaddps 706
#define id_vfnmaddsd 707
#define id_vfnmaddss 708
#define id_vfnmsubpd 709
#define id_vfnmsubps 710
#define id_vfnmsubsd 711
#define id_vfnmsubss 712
#define id_vpermil2pd 713
#define id_vpermil2ps 714
#define id_vfmaddpd 715
#define id_vfmaddps 716
#define id_vfmaddsd 717
#define id_vfrczpd 718
#define id_vfrczps 719
#define id_vfrczss 720
#define id_vfrczsd 721
#define id_vpcmov 722
#define id_vpcomb 723
#define id_vpcomltb 724
#define id_vpcomleb 725
#define id_vpcomgtb 726
#define id_vpcomgeb 727
#define id_vpcomeqb 728
#define id_vpcomneqb 729
#define id_vpcomfalseb 730
#define id_vpcomtrueb 731
#define id_vpcomd 732
#define id_vpcomltd 733
#define id_vpcomled 734
#define id_vpcomgtd 735
#define id_vpcomged 736
#define id_vpcomeqd 737
#define id_vpcomneqd 738
#define id_vpcomfalsed 739
#define id_vpcomtrued 740
#define id_vpcomq 741
#define id_vpcomltq 742
#define id_vpcomleq 743
#define id_vpcomgtq 744
#define id_vpcomgeq 745
#define id_vpcomeqq 746
#define id_vpcomneqq 747
#define id_vpcomfalseq 748
#define id_vpcomtrueq 749
#define id_vpcomub 750
#define id_vpcomltub 751
#define id_vpcomleub 752
#define id_vpcomgtub 753
#define id_vpcomgeub 754
#define id_vpcomequb 755
#define id_vpcomnequb 756
#define id_vpcomfalseub 757
#define id_vpcomtrueub 758
#define id_vpcomud 759
#define id_vpcomltud 760
#define id_vpcomleud 761
#define id_vpcomgtud 762
#define id_vpcomgeud 763
#define id_vpcomequd 764
#define id_vpcomnequd 765
#define id_vpcomfalseud 766
#define id_vpcomtrueud 767
#define id_vpcomuq 768
#define id_vpcomltuq 769
#define id_vpcomleuq 770
#define id_vpcomgtuq 771
#define id_vpcomgeuq 772
#define id_vpcomequq 773
#define id_vpcomnequq 774
#define id_vpcomfalseuq 775
#define id_vpcomtrueuq 776
#define id_vpcomuw 777
#define id_vpcomltuw 778
#define id_vpcomleuw 779
#define id_vpcomgtuw 780
#define id_vpcomgeuw 781
#define id_vpcomequw 782
#define id_vpcomnequw 783
#define id_vpcomfalseuw 784
#define id_vpcomtrueuw 785
#define id_vpcomw 786
#define id_vpcomltw 787
#define id_vpcomlew 788
#define id_vpcomgtw 789
#define id_vpcomgew 790
#define id_vpcomeqw 791
#define id_vpcomneqw 792
#define id_vpcomfalsew 793
#define id_vpcomtruew 794
#define id_vphaddbw 795
#define id_vphaddbd 796
#define id_vphaddbq 797
#define id_vphadddq 798
#define id_vphaddubw 799
#define id_vphaddubd 800
#define id_vphaddubq 801
#define id_vphaddudq 802
#define id_vphadduwd 803
#define id_vphadduwq 804
#define id_vphaddwd 805
#define id_vphaddwq 806
#define id_vphsubbw 807
#define id_vphsubdq 808
#define id_vphsubwd 809
#define id_vpmacsdd 810
#define id_vpmacsdqh 811
#define id_vpmacsdql 812
#define id_vpmacssdd 813
#define id_vpmacssdqh 814
#define id_vpmacssdql 815
#define id_vpmacsswd 816
#define id_vpmacssww 817
#define id_vpmacswd 818
#define id_vpmacsww 819
#define id_vpmadcsswd 820
#define id_vpmadcswd 821
#define id_vpperm 822
#define id_vprotb 823
#define id_vprotd 824
#define id_vprotq 825
#define id_vprotw 826
#define id_vpshab 827
#define id_vpshad 828
#define id_vpshaq 829
#define id_vpshaw 830
#define id_vpshlb 831
#define id_vpshld 832
#define id_vpshlq 833
#define id_vpshlw 834
#define id_call64 835
#define id_jmp64 836
#define id_vaddpd 837
#define id_vaddps 838
#define id_vaddsd 839
#define id_vaddss 840
#define id_vaddsubpd 841
#define id_vaddsubps 842
#define id_vaesenc 843
#define id_vaesenclast 844
#define id_vaesdec 845
#define id_vaesdeclast 846
#define id_vaesimc 847
#define id_vaeskeygenassist 848
#define id_vandpd 849
#define id_vandps 850
#define id_vandnpd 851
#define id_vandnps 852
#define id_vblendpd 853
#define id_vblendps 854
#define id_vblendvpd 855
#define id_vblendvps 856
#define id_vbroadcastss 857
#define id_vbroadcastsd 858
#define id_vbroadcastf128 859
#define id_vcmppd 860
#define id_vcmpps 861
#define id_vcmpsd 862
#define id_vcmpss 863
#define id_vcomisd 864
#define id_vcomiss 865
#define id_vcvtdq2pd 866
#define id_vcvtdq2ps 867
#define id_vcvtpd2dq 868
#define id_vcvtpd2ps 869
#define id_vcvtps2dq 870
#define id_vcvtps2pd 871
#define id_vcvtsd2si 872
#define id_vcvtsd2ss 873
#define id_vcvtsi2sd 874
#define id_vcvtsi2ss 875
#define id_vcvtss2sd 876
#define id_vcvtss2si 877
#define id_vcvttpd2dq 878
#define id_vcvttps2dq 879
#define id_vcvttsd2si 880
#define id_vcvttss2si 881
#define id_vdivpd 882
#define id_vdivps 883
#define id_vdivsd 884
#define id_vdivss 885
#define id_vdppd 886
#define id_vdpps 887
#define id_vextractf128 888
#define id_vextractps 889
#define id_vhaddpd 890
#define id_vhaddps 891
#define id_vhsubpd 892
#define id_vhsubps 893
#define id_vinsertf128 894
#define id_vinsertps 895
#define id_vlddqu 896
#define id_vldmxcsr 897
#define id_vmaskmovdqu 898
#define id_vmaskmovps 899
#define id_vmaskmovpd 900
#define id_vmaxpd 901
#define id_vmaxps 902
#define id_vmaxsd 903
#define id_vmaxss 904
#define id_vminpd 905
#define id_vminps 906
#define id_vminsd 907
#define id_vminss 908
#define id_vmovapd 909
#define id_vmovaps 910
#define id_vmovq 911
#define id_vmovd 912
#define id_vmovddup 913
#define id_vmovdqa 914
#define id_vmovdqu 915
#define id_vmovlps 916
#define id_vmovhlps 917
#define id_vmovhps 918
#define id_vmovlhps 919
#define id_vmovlpd 920
#define id_vmovhpd 921
#define id_vmovmskpd 922
#define id_vmovmskps 923
#define id_vmovntdq 924
#define id_vmovntdqa 925
#define id_vmovntpd 926
#define id_vmovntps 927
#define id_vmovsd 928
#define id_vmovshdup 929
#define id_vmovsldup 930
#define id_vmovss 931
#define id_vmovupd 932
#define id_vmovups 933
#define id_vmpsadbw 934
#define id_vmulpd 935
#define id_vmulps 936
#define id_vmulsd 937
#define id_vmulss 938
#define id_vorpd 939
#define id_vorps 940
#define id_vpabsb 941
#define id_vpabsw 942
#define id_vpabsd 943
#define id_vpacksswb 944
#define id_vpackssdw 945
#define id_vpackuswb 946
#define id_vpackusdw 947
#define id_vpaddb 948
#define id_vpaddw 949
#define id_vpaddd 950
#define id_vpaddq 951
#define id_vpaddsb 952
#define id_vpaddsw 953
#define id_vpaddusb 954
#define id_vpaddusw 955
#define id_vpalignr 956
#define id_vpand 957
#define id_vpandn 958
#define id_vpavgb 959
#define id_vpavgw 960
#define id_vpblendvb 961
#define id_vpblendw 962
#define id_vpclmulqdq 963
#define id_vpcmpestri 964
#define id_vpcmpestrm 965
#define id_vpcmpistri 966
#define id_vpcmpistrm 967
#define id_vpcmpeqb 968
#define id_vpcmpeqw 969
#define id_vpcmpeqd 970
#define id_vpcmpeqq 971
#define id_vpcmpgtb 972
#define id_vpcmpgtw 973
#define id_vpcmpgtd 974
#define id_vpcmpgtq 975
#define id_vpermilpd 976
#define id_vpermilps 977
#define id_vperm2f128 978
#define id_vpextrb 979
#define id_vpextrw 980
#define id_vphaddw 981
#define id_vphaddd 982
#define id_vphaddsw 983
#define id_vphminposuw 984
#define id_vphsubw 985
#define id_vphsubd 986
#define id_vphsubsw 987
#define id_vpinsrb 988
#define id_vpinsrw 989
#define id_vpinsrq 990
#define id_vpinsrd 991
#define id_vpmaddwd 992
#define id_vpmaddubsw 993
#define id_vpmaxsb 994
#define id_vpmaxsw 995
#define id_vpmaxsd 996
#define id_vpmaxub 997
#define id_vpmaxuw 998
#define id_vpmaxud 999
#define id_vpminsb 1000
#define id_vpminsw 1001
#define id_vpminsd 1002
#define id_vpminub 1003
#define id_vpminuw 1004
#define id_vpminud 1005
#define id_vpmovmskb 1006
#define id_vpmovsxbw 1007
#define id_vpmovsxbd 1008
#define id_vpmovzxbw 1009
#define id_vpmovzxbd 1010
#define id_vpmulhuw 1011
#define id_vpmulhrsw 1012
#define id_vpmulhw 1013
#define id_vpmullw 1014
#define id_vpmulld 1015
#define id_vpmuludq 1016
#define id_vpmuldq 1017
#define id_vpor 1018
#define id_vpsadbw 1019
#define id_vpshufb 1020
#define id_vpshufd 1021
#define id_vpshufhw 1022
#define id_vpshuflw 1023
#define id_vpsignb 1024
#define id_vpsignw 1025
#define id_vpsignd 1026
#define id_vpslldq 1027
#define id_vpsrldq 1028
#define id_vpsllw 1029
#define id_vpslld 1030
#define id_vpsraw 1031
#define id_vpsrad 1032
#define id_vpsrlw 1033
#define id_vpsrld 1034
#define id_vptest 1035
#define id_vtestps 1036
#define id_vtestpd 1037
#define id_vpsubb 1038
#define id_vpsubw 1039
#define id_vpsubd 1040
#define id_vpsubq 1041
#define id_vpsubsb 1042
#define id_vpsubsw 1043
#define id_vpsubusb 1044
#define id_vpsubusw 1045
#define id_vpunpckhbw 1046
#define id_vpunpckhwd 1047
#define id_vpunpckhdq 1048
#define id_vpunpckhqdq 1049
#define id_vpunpcklbw 1050
#define id_vpunpcklwd 1051
#define id_vpunpckldq 1052
#define id_vpunpcklqdq 1053
#define id_vpxor 1054
#define id_vrcpps 1055
#define id_vrcpss 1056
#define id_vrsqrtps 1057
#define id_vrsqrtss 1058
#define id_vroundpd 1059
#define id_vroundps 1060
#define id_vroundsd 1061
#define id_vroundss 1062
#define id_vshufpd 1063
#define id_vshufps 1064
#define id_vsqrtpd 1065
#define id_vsqrtps 1066
#define id_vsqrtsd 1067
#define id_vsqrtss 1068
#define id_vstmxcsr 1069
#define id_vsubpd 1070
#define id_vsubps 1071
#define id_vsubsd 1072
#define id_vsubss 1073
#define id_vucomisd 1074
#define id_vucomiss 1075
#define id_vunpckhpd 1076
#define id_vunpckhps 1077
#define id_vunpcklpd 1078
#define id_vunpcklps 1079
#define id_vxorpd 1080
#define id_vxorps 1081
#define id_vzeroall 1082
#define id_vzeroupper 1083
#define id_vfmadd132pd 1084
#define id_vfmadd132ps 1085
#define id_vfmadd213pd 1086
#define id_vfmadd213ps 1087
#define id_vfmadd231pd 1088
#define id_vfmadd231ps 1089
#define id_vfmadd132sd 1090
#define id_vfmadd132ss 1091
#define id_vfmadd213sd 1092
#define id_vfmadd213ss 1093
#define id_vfmadd231sd 1094
#define id_vfmadd231ss 1095
#define id_vfmaddsub132pd 1096
#define id_vfmaddsub132ps 1097
#define id_vfmaddsub213pd 1098
#define id_vfmaddsub213ps 1099
#define id_vfmaddsub231pd 1100
#define id_vfmaddsub231ps 1101
#define id_vfmsubadd132pd 1102
#define id_vfmsubadd132ps 1103
#define id_vfmsubadd213pd 1104
#define id_vfmsubadd213ps 1105
#define id_vfmsubadd231pd 1106
#define id_vfmsubadd231ps 1107
#define id_vfmsub132pd 1108
#define id_vfmsub132ps 1109
#define id_vfmsub213pd 1110
#define id_vfmsub213ps 1111
#define id_vfmsub231pd 1112
#define id_vfmsub231ps 1113
#define id_vfmsub132sd 1114
#define id_vfmsub132ss 1115
#define id_vfmsub213sd 1116
#define id_vfmsub213ss 1117
#define id_vfmsub231sd 1118
#define id_vfmsub231ss 1119
#define id_vfnmadd132pd 1120
#define id_vfnmadd132ps 1121
#define id_vfnmadd213pd 1122
#define id_vfnmadd213ps 1123
#define id_vfnmadd231pd 1124
#define id_vfnmadd231ps 1125
#define id_vfnmadd132sd 1126
#define id_vfnmadd132ss 1127
#define id_vfnmadd213sd 1128
#define id_vfnmadd213ss 1129
#define id_vfnmadd231sd 1130
#define id_vfnmadd231ss 1131
#define id_vfnmsub132pd 1132
#define id_vfnmsub132ps 1133
#define id_vfnmsub213pd 1134
#define id_vfnmsub213ps 1135
#define id_vfnmsub231pd 1136
#define id_vfnmsub231ps 1137
#define id_vfnmsub132sd 1138
#define id_vfnmsub132ss 1139
#define id_vfnmsub213sd 1140
#define id_vfnmsub213ss 1141
#define id_vfnmsub231sd 1142
#define id_vfnmsub231ss 1143
#define id_vcmpeqpd 1144
#define id_vcmpltpd 1145
#define id_vcmplepd 1146
#define id_vcmpunordpd 1147
#define id_vcmpneqpd 1148
#define id_vcmpnltpd 1149
#define id_vcmpnlepd 1150
#define id_vcmpordpd 1151
#define id_vcmpeq_uqpd 1152
#define id_vcmpnge_uspd 1153
#define id_vcmpngt_uspd 1154
#define id_vcmpfalse_oqpd 1155
#define id_vcmpneq_oqpd 1156
#define id_vcmpge_ospd 1157
#define id_vcmpgt_ospd 1158
#define id_vcmptrue_uqpd 1159
#define id_vcmpeq_ospd 1160
#define id_vcmplt_oqpd 1161
#define id_vcmple_oqpd 1162
#define id_vcmpunord_spd 1163
#define id_vcmpneq_uspd 1164
#define id_vcmpnlt_uqpd 1165
#define id_vcmpnle_uqpd 1166
#define id_vcmpord_spd 1167
#define id_vcmpeq_uspd 1168
#define id_vcmpnge_uqpd 1169
#define id_vcmpngt_uqpd 1170
#define id_vcmpfalse_ospd 1171
#define id_vcmpneq_ospd 1172
#define id_vcmpge_oqpd 1173
#define id_vcmpgt_oqpd 1174
#define id_vcmptrue_uspd 1175
#define id_vcmpeqps 1176
#define id_vcmpltps 1177
#define id_vcmpleps 1178
#define id_vcmpunordps 1179
#define id_vcmpneqps 1180
#define id_vcmpnltps 1181
#define id_vcmpnleps 1182
#define id_vcmpordps 1183
#define id_vcmpeq_uqps 1184
#define id_vcmpnge_usps 1185
#define id_vcmpngt_usps 1186
#define id_vcmpfalse_oqps 1187
#define id_vcmpneq_oqps 1188
#define id_vcmpge_osps 1189
#define id_vcmpgt_osps 1190
#define id_vcmptrue_uqps 1191
#define id_vcmpeq_osps 1192
#define id_vcmplt_oqps 1193
#define id_vcmple_oqps 1194
#define id_vcmpunord_sps 1195
#define id_vcmpneq_usps 1196
#define id_vcmpnlt_uqps 1197
#define id_vcmpnle_uqps 1198
#define id_vcmpord_sps 1199
#define id_vcmpeq_usps 1200
#define id_vcmpnge_uqps 1201
#define id_vcmpngt_uqps 1202
#define id_vcmpfalse_osps 1203
#define id_vcmpneq_osps 1204
#define id_vcmpge_oqps 1205
#define id_vcmpgt_oqps 1206
#define id_vcmptrue_usps 1207
#define id_vcmpeqsd 1208
#define id_vcmpltsd 1209
#define id_vcmplesd 1210
#define id_vcmpunordsd 1211
#define id_vcmpneqsd 1212
#define id_vcmpnltsd 1213
#define id_vcmpnlesd 1214
#define id_vcmpordsd 1215
#define id_vcmpeq_uqsd 1216
#define id_vcmpnge_ussd 1217
#define id_vcmpngt_ussd 1218
#define id_vcmpfalse_oqsd 1219
#define id_vcmpneq_oqsd 1220
#define id_vcmpge_ossd 1221
#define id_vcmpgt_ossd 1222
#define id_vcmptrue_uqsd 1223
#define id_vcmpeq_ossd 1224
#define id_vcmplt_oqsd 1225
#define id_vcmple_oqsd 1226
#define id_vcmpunord_ssd 1227
#define id_vcmpneq_ussd 1228
#define id_vcmpnlt_uqsd 1229
#define id_vcmpnle_uqsd 1230
#define id_vcmpord_ssd 1231
#define id_vcmpeq_ussd 1232
#define id_vcmpnge_uqsd 1233
#define id_vcmpngt_uqsd 1234
#define id_vcmpfalse_ossd 1235
#define id_vcmpneq_ossd 1236
#define id_vcmpge_oqsd 1237
#define id_vcmpgt_oqsd 1238
#define id_vcmptrue_ussd 1239
#define id_vcmpeqss 1240
#define id_vcmpltss 1241
#define id_vcmpless 1242
#define id_vcmpunordss 1243
#define id_vcmpneqss 1244
#define id_vcmpnltss 1245
#define id_vcmpnless 1246
#define id_vcmpordss 1247
#define id_vcmpeq_uqss 1248
#define id_vcmpnge_usss 1249
#define id_vcmpngt_usss 1250
#define id_vcmpfalse_oqss 1251
#define id_vcmpneq_oqss 1252
#define id_vcmpge_osss 1253
#define id_vcmpgt_osss 1254
#define id_vcmptrue_uqss 1255
#define id_vcmpeq_osss 1256
#define id_vcmplt_oqss 1257
#define id_vcmple_oqss 1258
#define id_vcmpunord_sss 1259
#define id_vcmpneq_usss 1260
#define id_vcmpnlt_uqss 1261
#define id_vcmpnle_uqss 1262
#define id_vcmpord_sss 1263
#define id_vcmpeq_usss 1264
#define id_vcmpnge_uqss 1265
#define id_vcmpngt_uqss 1266
#define id_vcmpfalse_osss 1267
#define id_vcmpneq_osss 1268
#define id_vcmpge_oqss 1269
#define id_vcmpgt_oqss 1270
#define id_vcmptrue_usss 1271
#define id_vpclmullqlqdq 1272
#define id_vpclmulhqlqdq 1273
#define id_vpclmullqhdq 1274
#define id_vpclmulhqhdq 1275
#define id_pclmullqlqdq 1276
#define id_pclmulhqlqdq 1277
#define id_pclmullqhdq 1278
#define id_pclmulhqhdq 1279
#define id_ffreep 1280
#define id_fneni 1281
#define id_feni 1282
#define id_fndisi 1283
#define id_fdisi 1284
#define id_fnsetpm 1285
#define id_fsetpm 1286
#define id_frstpm 1287
#define id_fsaved 1288
#define id_fsavew 1289
#define id_fnsaved 1290
#define id_fnsavew 1291
#define id_frstord 1292
#define id_frstorw 1293
#define id_fldenvd 1294
#define id_fldenvw 1295
#define id_fstenvd 1296
#define id_fstenvw 1297
#define id_fnstenvd 1298
#define id_fnstenvw 1299
#define id_vpsllq 1300
#define id_vpsrlq 1301
#define id_vpmovzxbq 1302
#define id_vpmovzxdq 1303
#define id_vpmovzxwd 1304
#define id_vpmovzxwq 1305
#define id_vpmovsxbq 1306
#define id_vpmovsxdq 1307
#define id_vpmovsxwd 1308
#define id_vpmovsxwq 1309
#define id_vpextrq 1310
#define id_vpextrd 1311
#define id_xsaveopt64 1312
#define id_xsaveopt 1313
#define id_sysretq 1314
#define id_sysret 1315
#define id_loadall286 1316
#define id_loadall386 1317
#define id_rdfsbase 1318
#define id_rdgsbase 1319
#define id_rdrand 1320
#define id_wrfsbase 1321
#define id_wrgsbase 1322
#define id_vcvtph2ps 1323
#define id_vcvtps2ph 1324
#define id_andn 1325
#define id_bextr 1326
#define id_blsi 1327
#define id_blsmsk 1328
#define id_blsr 1329
#define id_bzhi 1330
#define id_mulx 1331
#define id_pdep 1332
#define id_pext 1333
#define id_rorx 1334
#define id_sarx 1335
#define id_shlx 1336
#define id_shrx 1337
#define id_tzcnt 1338
#define id_invpcid 1339
#define id_vpblendd 1340
#define id_vpbroadcastb 1341
#define id_vpbroadcastw 1342
#define id_vpbroadcastd 1343
#define id_vpbroadcastq 1344
#define id_vbroadcasti128 1345
#define id_vpmaskmovq 1346
#define id_vpmaskmovd 1347
#define id_vpsllvq 1348
#define id_vpsllvd 1349
#define id_vpsravd 1350
#define id_vpsrlvq 1351
#define id_vpsrlvd 1352
#define id_vpermps 1353
#define id_vpermd 1354
#define id_vinserti128 1355
#define id_vextracti128 1356
#define id_vperm2i128 1357
#define id_vpermpd 1358
#define id_vpermq 1359
#define id_vgatherdpd 1360
#define id_vgatherdps 1361
#define id_vgatherqpd 1362
#define id_vgatherqps 1363
#define id_vpgatherdq 1364
#define id_vpgatherdd 1365
#define id_vpgatherqq 1366
#define id_vpgatherqd 1367
#define id_blcfill 1368
#define id_blci 1369
#define id_blcic 1370
#define id_blcmsk 1371
#define id_blcs 1372
#define id_blsfill 1373
#define id_blsic 1374
#define id_t1mskc 1375
#define id_tzmsk 1376
