format PE64 GUI 5.0
entry WinMain

include 'win64a.inc'
include 'dsmhelp.inc'
include 'macro\IF.INC'
section '.data' data readable writeable
	aInstr		dq ?
	MainInst	dq ?
	hWin		dq ?
	hShowList16	dq ?
	hShowList32	dq ?
	hShowList64	dq ?
	hChFont		dq ?
	hClear		dq ?
	hEdit16		dq ?
	hEdit32		dq ?
	hEdit64		dq ?
	hMainEdit	dq ?
	hFont		dq ?
	StartAddr	dq ?
	lfFont		LOGFONT<>
	AsmClass	dw ?
	mnem		db 256 dup(?)
	dmnem		db 256 dup(?)
section '.text' code readable executable
proc SendOut pText
	mov [pText],rcx
	invoke GetWindowTextLength,[hMainEdit]
	invoke SendMessage,[hMainEdit],EM_SETSEL,eax,eax
	invoke SendMessage,[hMainEdit],EM_REPLACESEL,0,[pText]
	ret
endp
mcaption	db 'asmdasm',0
proc WinMain
local msg:MSG
	mov [StartAddr],131D9B1h
	invoke GetModuleHandle,0
	mov [MainInst],rax
	call RegAsmClass
	mov [AsmClass],ax
	call LoadCourier
	invoke InitInstr,0,0,LEGACY_MODE32,0
	mov [aInstr],rax
	movzx edx,[AsmClass]
	invoke CreateWindowEx,0,rdx,addr mcaption,WS_OVERLAPPEDWINDOW or WS_VISIBLE or WS_CLIPCHILDREN,\
		CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,0,0,[MainInst],0
	NextWinLoop:
		invoke GetMessage,addr msg,0,0,0
		test eax,eax
		jz endWinLoop
		invoke TranslateMessage,addr msg
		invoke DispatchMessage,addr msg
		jmp NextWinLoop
	endWinLoop:
	invoke FreeInstr,[aInstr]
	invoke DeleteObject,[hFont]
	movzx ecx,[AsmClass]
	invoke UnregisterClass,rcx,[MainInst]
	invoke ExitProcess,[msg.wParam]
endp
mClass	db 'AsmClass',0
proc RegAsmClass
local wcex:WNDCLASSEX
	invoke LoadCursor,0,IDC_ARROW
	mov [wcex.hIcon],rax
	mov [wcex.hCursor],rax
	mov [wcex.hIconSm],rax
	mov [wcex.cbSize],sizeof.WNDCLASSEX
	mov [wcex.style],CS_HREDRAW or CS_VREDRAW
	lea rax,[WndProc]
	mov [wcex.lpfnWndProc],rax
	mov [wcex.cbClsExtra],0
	mov [wcex.cbWndExtra],0
	mov [wcex.lpszMenuName],0
	mov [wcex.hbrBackground],COLOR_WINDOWFRAME+1
	mov rax,[MainInst]
	mov [wcex.hInstance],rax
	lea rax,[mClass]
	mov [wcex.lpszClassName],rax
	invoke RegisterClassEx,addr wcex
	ret
endp
font_name	db 'Courier',0
proc LoadCourier
	mov [lfFont.lfHeight],-13
	mov [lfFont.lfWidth],0
	mov [lfFont.lfEscapement],0
	mov [lfFont.lfOrientation],0
	mov [lfFont.lfWeight],190h
	mov [lfFont.lfItalic],FALSE
	mov [lfFont.lfUnderline],FALSE
	mov [lfFont.lfStrikeOut],FALSE
	mov [lfFont.lfCharSet],RUSSIAN_CHARSET
	mov [lfFont.lfOutPrecision],OUT_STRING_PRECIS
	mov [lfFont.lfClipPrecision],CLIP_STROKE_PRECIS
	mov [lfFont.lfQuality],DRAFT_QUALITY
	mov [lfFont.lfPitchAndFamily],FIXED_PITCH or FF_ROMAN
	invoke lstrcpy,addr lfFont.lfFaceName,addr font_name
	invoke CreateFontIndirect,addr lfFont
	mov [hFont],rax
	ret
endp
proc MoveMainEdit
local rect:RECT
	invoke GetClientRect,[hWin],addr rect
	mov eax,[rect.bottom]
	sub eax,105
	invoke MoveWindow,[hMainEdit],[rect.left],105,[rect.right],eax,TRUE
	ret
endp
struct CHOOSEFONT1
	lStructSize		dd 2 dup(?)
	hwndOwner		dq ?
	hDC				dq ?
	lpLogFont		dq ?
	iPointSize		dd ?
	Flags			dd ?
	rgbColors		dd 2 dup(?)
	lCustData		dq ?
	lpfnHook		dq ?
	lpTemplateName	dq ?
	hInstance		dq ?
	lpszStyle		dq ?
	nFontType		dw 2 dup(?)
	nSizeMin		dd ?
	nSizeMax		dd 2 dup(?)
ends
proc ChFontMainEdit
local ChsFont:CHOOSEFONT1
	mov [ChsFont.lStructSize],sizeof.CHOOSEFONT1
	mov rax,[MainInst]
	mov [ChsFont.hInstance],rax
	mov rax,[hWin]
	mov [ChsFont.hwndOwner],rax
	mov [ChsFont.Flags],CF_BOTH or CF_INITTOLOGFONTSTRUCT
	lea rax,[lfFont]
	mov [ChsFont.lpLogFont],rax
	invoke ChooseFont,addr ChsFont
	.if eax
		invoke CreateFontIndirect,addr lfFont
		mov rcx,[hFont]
		mov [hFont],rax
		invoke DeleteObject,rcx
		invoke SendMessage,[hMainEdit],WM_SETFONT,[hFont],TRUE
	.endif
	ret
endp
NotAsmed	db 'Bad mnemonic',0
proc AsmTest dMnemonic,Mnemonic,Mode
local AsmDasm[32]:BYTE
	mov [dMnemonic],rcx
	mov [Mnemonic],rdx
	mov [Mode],r8
	invoke ReinitInstr,[aInstr],addr AsmDasm,[StartAddr],[Mode],32
	invoke Assemble,[aInstr],[Mnemonic]
	.if ~eax | eax=-1 | eax>MaxInstrLen
		invoke MessageBox,[hWin],addr NotAsmed,0,MB_OK
		xor eax,eax
		ret
	.endif
	add [StartAddr],rax
	invoke JoinMnemonic,[aInstr],[dMnemonic],0,STD_MNEM
	mov eax,1
	ret
endp
null_str	db 0
button		db 'button',0
edit		db 'edit',0
dis16		db 'Disassemble16',0
dis32		db 'Disassemble32',0
dis64		db 'Disassemble64',0
chfont		db 'Choose font',0
clear		db 'Clear',0
tmnem1		db 'xor [bp+si+0AE45h],di',0
tmnem2		db 'call near16 ptr ($+4h) mod 10000h',0
tmnem3		db 'shrd [eax],esp,cl',0
proc WndProc hWnd,uMsg,wParam,lParam
	mov [hWnd],rcx
	mov [uMsg],rdx
	mov [wParam],r8
	mov [lParam],r9
	.if edx=WM_COMMAND
		.if r9=[hShowList16]
			invoke GetWindowText,[hEdit16],addr mnem,256
			fastcall AsmTest,addr dmnem,addr mnem,LEGACY_MODE16
			.if eax
				fastcall SendOut,addr dmnem
			.endif
		.elseif r9=[hShowList32]
			invoke GetWindowText,[hEdit32],addr mnem,256
			fastcall AsmTest,addr dmnem,addr mnem,LEGACY_MODE32
			.if eax
				fastcall SendOut,addr dmnem
			.endif
		.elseif r9=[hShowList64]
			invoke GetWindowText,[hEdit64],addr mnem,256
			fastcall AsmTest,addr dmnem,addr mnem,LONG_MODE
			.if eax
				fastcall SendOut,addr dmnem
			.endif
		.elseif r9=[hChFont]
			call ChFontMainEdit
		.elseif r9=[hClear]
			invoke SetWindowText,[hMainEdit],addr null_str
		.endif
	.elseif edx=WM_SIZE
		call MoveMainEdit
	.elseif edx=WM_DESTROY
		invoke PostQuitMessage,0
	.elseif edx=WM_CREATE
		mov [hWin],rcx
		invoke CreateWindowEx,0,addr button,addr dis16,WS_VISIBLE or WS_CHILD,20,15,110,25,\
			[hWin],0,[MainInst],0
		mov [hShowList16],rax
		invoke CreateWindowEx,0,addr button,addr dis32,WS_VISIBLE or WS_CHILD,20,45,110,25,\
			[hWin],0,[MainInst],0
		mov [hShowList32],rax
		invoke CreateWindowEx,0,addr button,addr dis64,WS_VISIBLE or WS_CHILD,20,75,110,25,\
			[hWin],0,[MainInst],0
		mov [hShowList64],rax
		invoke CreateWindowEx,0,addr button,addr chfont,WS_VISIBLE or WS_CHILD,845,15,100,25,\
			[hWin],0,[MainInst],0
		mov [hChFont],rax
		invoke CreateWindowEx,0,addr button,addr clear,WS_VISIBLE or WS_CHILD,845,45,100,25,\
			[hWin],0,[MainInst],0
		mov [hClear],rax
		invoke CreateWindowEx,0,addr edit,addr tmnem1,WS_VISIBLE or WS_CHILD or WS_TABSTOP or ES_LEFT,\
			135,15,700,25,[hWin],0,[MainInst],0
		mov [hEdit16],rax
		invoke CreateWindowEx,0,addr edit,addr tmnem2,WS_VISIBLE or WS_CHILD or WS_TABSTOP or ES_LEFT,\
			135,45,700,25,[hWin],0,[MainInst],0
		mov [hEdit32],rax
		invoke CreateWindowEx,0,addr edit,addr tmnem3,WS_VISIBLE or WS_CHILD or WS_TABSTOP or ES_LEFT,\
			135,75,700,25,[hWin],0,[MainInst],0
		mov [hEdit64],rax
		invoke CreateWindowEx,0,addr edit,0,\
			WS_VISIBLE or WS_CHILD or WS_TABSTOP or ES_LEFT or ES_MULTILINE or WS_HSCROLL or WS_VSCROLL,\
			30,110,900,300,[hWin],0,[MainInst],0
		mov [hMainEdit],rax
		invoke SendMessage,rax,WM_SETFONT,[hFont],TRUE
		call MoveMainEdit
	.else
		invoke DefWindowProc,[hWnd],[uMsg],[wParam],[lParam]
		ret
	.endif
Exit:
	xor eax,eax
	ret
endp
section '.idata' import data readable

  library kernel32,'KERNEL32.DLL',\
	  user32,'USER32.DLL',\
	  dsmhelp,'DSMHELP.DLL',\
	  comdlg32,'COMDLG32.DLL',\
	  gdi32,'GDI32.DLL'

  include 'api\kernel32.inc'
  include 'api\user32.inc'
  include 'dsmapi.inc'
  include 'api\comdlg32.inc'
  include 'api\gdi32.inc'